package com.amms.system.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.amms.common.annotation.Excel;
import com.amms.common.core.domain.BaseEntity;

/**
 * 飞机故障及缺陷管理对象 t_aircraft_failure
 * 
 * @author ruoyi
 * @date 2023-12-12
 */
public class TAircraftFailure extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 编号 */
    private Long id;

    /** 机号 */
    @Excel(name = "机号")
    private String aircraftId;

    /** 故障时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "故障时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date failureDatetime;

    /** 故障时机 */
    @Excel(name = "故障时机")
    private String failureMoment;

    /** 故障现象 */
    @Excel(name = "故障现象")
    private String failurePnenomenon;

    /** 故障原因 */
    @Excel(name = "故障原因")
    private String failureCause;

    /** 处置措施 */
    @Excel(name = "处置措施")
    private String disposalMeasures;

    /** 产品型号 */
    @Excel(name = "产品型号")
    private String productModel;

    /** 所属系统 */
    @Excel(name = "所属系统")
    private String productSystem;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setAircraftId(String aircraftId) 
    {
        this.aircraftId = aircraftId;
    }

    public String getAircraftId() 
    {
        return aircraftId;
    }
    public void setFailureDatetime(Date failureDatetime) 
    {
        this.failureDatetime = failureDatetime;
    }

    public Date getFailureDatetime() 
    {
        return failureDatetime;
    }
    public void setFailureMoment(String failureMoment) 
    {
        this.failureMoment = failureMoment;
    }

    public String getFailureMoment() 
    {
        return failureMoment;
    }
    public void setFailurePnenomenon(String failurePnenomenon) 
    {
        this.failurePnenomenon = failurePnenomenon;
    }

    public String getFailurePnenomenon() 
    {
        return failurePnenomenon;
    }
    public void setFailureCause(String failureCause) 
    {
        this.failureCause = failureCause;
    }

    public String getFailureCause() 
    {
        return failureCause;
    }
    public void setDisposalMeasures(String disposalMeasures) 
    {
        this.disposalMeasures = disposalMeasures;
    }

    public String getDisposalMeasures() 
    {
        return disposalMeasures;
    }
    public void setProductModel(String productModel) 
    {
        this.productModel = productModel;
    }

    public String getProductModel() 
    {
        return productModel;
    }
    public void setProductSystem(String productSystem) 
    {
        this.productSystem = productSystem;
    }

    public String getProductSystem() 
    {
        return productSystem;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("aircraftId", getAircraftId())
            .append("failureDatetime", getFailureDatetime())
            .append("failureMoment", getFailureMoment())
            .append("failurePnenomenon", getFailurePnenomenon())
            .append("failureCause", getFailureCause())
            .append("disposalMeasures", getDisposalMeasures())
            .append("productModel", getProductModel())
            .append("productSystem", getProductSystem())
            .append("remark", getRemark())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
