package com.amms.system.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.amms.common.annotation.Excel;
import com.amms.common.core.domain.BaseEntity;

/**
 * 简报故障信息管理对象 t_briefing_fault_information
 * 
 * @author ruoyi
 * @date 2023-12-12
 */
public class TBriefingFaultInformation extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 编号 */
    private Long id;

    /** 年份 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "年份", width = 30, dateFormat = "yyyy-MM-dd")
    private Date year;

    /** 原因（R/N) */
    @Excel(name = "原因", readConverterExp = "原因（R/N)")
    private String cause;

    /** 日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date date;

    /** 战区 */
    @Excel(name = "战区")
    private String warZone;

    /** 军师 */
    @Excel(name = "军师")
    private String militaryCounsellor;

    /** 旅团 */
    @Excel(name = "旅团")
    private String warBrigade;

    /** 机型 */
    @Excel(name = "机型")
    private String aircraftType;

    /** 简要经过 */
    @Excel(name = "简要经过")
    private String briefOverview;

    /** 问题原因 */
    @Excel(name = "问题原因")
    private String questionCause;

    /** 解决措施 */
    @Excel(name = "解决措施")
    private String solutionMeasures;

    /** 查处进展 */
    @Excel(name = "查处进展")
    private String investigationPunishment;

    /** 简报期数 */
    @Excel(name = "简报期数")
    private String briefPeriod;

    /** 涉及专业 */
    @Excel(name = "涉及专业")
    private String professionalInvolvement;

    /** 类型 */
    @Excel(name = "类型")
    private String type;

    /** 上级要求 */
    @Excel(name = "上级要求")
    private String superiorRequirements;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setYear(Date year) 
    {
        this.year = year;
    }

    public Date getYear() 
    {
        return year;
    }
    public void setCause(String cause) 
    {
        this.cause = cause;
    }

    public String getCause() 
    {
        return cause;
    }
    public void setDate(Date date) 
    {
        this.date = date;
    }

    public Date getDate() 
    {
        return date;
    }
    public void setWarZone(String warZone) 
    {
        this.warZone = warZone;
    }

    public String getWarZone() 
    {
        return warZone;
    }
    public void setMilitaryCounsellor(String militaryCounsellor) 
    {
        this.militaryCounsellor = militaryCounsellor;
    }

    public String getMilitaryCounsellor() 
    {
        return militaryCounsellor;
    }
    public void setWarBrigade(String warBrigade) 
    {
        this.warBrigade = warBrigade;
    }

    public String getWarBrigade() 
    {
        return warBrigade;
    }
    public void setAircraftType(String aircraftType) 
    {
        this.aircraftType = aircraftType;
    }

    public String getAircraftType() 
    {
        return aircraftType;
    }
    public void setBriefOverview(String briefOverview) 
    {
        this.briefOverview = briefOverview;
    }

    public String getBriefOverview() 
    {
        return briefOverview;
    }
    public void setQuestionCause(String questionCause) 
    {
        this.questionCause = questionCause;
    }

    public String getQuestionCause() 
    {
        return questionCause;
    }
    public void setSolutionMeasures(String solutionMeasures) 
    {
        this.solutionMeasures = solutionMeasures;
    }

    public String getSolutionMeasures() 
    {
        return solutionMeasures;
    }
    public void setInvestigationPunishment(String investigationPunishment) 
    {
        this.investigationPunishment = investigationPunishment;
    }

    public String getInvestigationPunishment() 
    {
        return investigationPunishment;
    }
    public void setBriefPeriod(String briefPeriod) 
    {
        this.briefPeriod = briefPeriod;
    }

    public String getBriefPeriod() 
    {
        return briefPeriod;
    }
    public void setProfessionalInvolvement(String professionalInvolvement) 
    {
        this.professionalInvolvement = professionalInvolvement;
    }

    public String getProfessionalInvolvement() 
    {
        return professionalInvolvement;
    }
    public void setType(String type) 
    {
        this.type = type;
    }

    public String getType() 
    {
        return type;
    }
    public void setSuperiorRequirements(String superiorRequirements) 
    {
        this.superiorRequirements = superiorRequirements;
    }

    public String getSuperiorRequirements() 
    {
        return superiorRequirements;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("year", getYear())
            .append("cause", getCause())
            .append("date", getDate())
            .append("warZone", getWarZone())
            .append("militaryCounsellor", getMilitaryCounsellor())
            .append("warBrigade", getWarBrigade())
            .append("aircraftType", getAircraftType())
            .append("briefOverview", getBriefOverview())
            .append("questionCause", getQuestionCause())
            .append("solutionMeasures", getSolutionMeasures())
            .append("investigationPunishment", getInvestigationPunishment())
            .append("briefPeriod", getBriefPeriod())
            .append("professionalInvolvement", getProfessionalInvolvement())
            .append("type", getType())
            .append("superiorRequirements", getSuperiorRequirements())
            .append("remark", getRemark())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
