package com.amms.system.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.amms.common.annotation.Excel;
import com.amms.common.core.domain.BaseEntity;

/**
 * 指令性工作清单管理对象 t_command_work_bill
 * 
 * @author ruoyi
 * @date 2023-12-08
 */
public class TCommandWorkBill extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 编号 */
    private Long id;

    /** 收文日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "收文日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date receiptDate;

    /** 文件名称 */
    @Excel(name = "文件名称")
    private String fileName;

    /** 指令工作 */
    @Excel(name = "指令工作")
    private String commandWork;

    /** 落实措施 */
    @Excel(name = "落实措施")
    private String implementationMeasure;

    /** 落实期限 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "落实期限", width = 30, dateFormat = "yyyy-MM-dd")
    private Date implementationDeadline;

    /** 责任单位 */
    @Excel(name = "责任单位")
    private String responsibleOrganization;

    /** 责任人 */
    @Excel(name = "责任人")
    private String principal;

    /** 落实情况 */
    @Excel(name = "落实情况")
    private String implementationStatus;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setReceiptDate(Date receiptDate) 
    {
        this.receiptDate = receiptDate;
    }

    public Date getReceiptDate() 
    {
        return receiptDate;
    }
    public void setFileName(String fileName) 
    {
        this.fileName = fileName;
    }

    public String getFileName() 
    {
        return fileName;
    }
    public void setCommandWork(String commandWork) 
    {
        this.commandWork = commandWork;
    }

    public String getCommandWork() 
    {
        return commandWork;
    }
    public void setImplementationMeasure(String implementationMeasure) 
    {
        this.implementationMeasure = implementationMeasure;
    }

    public String getImplementationMeasure() 
    {
        return implementationMeasure;
    }
    public void setImplementationDeadline(Date implementationDeadline) 
    {
        this.implementationDeadline = implementationDeadline;
    }

    public Date getImplementationDeadline() 
    {
        return implementationDeadline;
    }
    public void setResponsibleOrganization(String responsibleOrganization) 
    {
        this.responsibleOrganization = responsibleOrganization;
    }

    public String getResponsibleOrganization() 
    {
        return responsibleOrganization;
    }
    public void setPrincipal(String principal) 
    {
        this.principal = principal;
    }

    public String getPrincipal() 
    {
        return principal;
    }
    public void setImplementationStatus(String implementationStatus) 
    {
        this.implementationStatus = implementationStatus;
    }

    public String getImplementationStatus() 
    {
        return implementationStatus;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("receiptDate", getReceiptDate())
            .append("fileName", getFileName())
            .append("commandWork", getCommandWork())
            .append("implementationMeasure", getImplementationMeasure())
            .append("implementationDeadline", getImplementationDeadline())
            .append("responsibleOrganization", getResponsibleOrganization())
            .append("principal", getPrincipal())
            .append("implementationStatus", getImplementationStatus())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
