package com.amms.system.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.amms.common.annotation.Excel;
import com.amms.common.core.domain.BaseEntity;

/**
 * 免责报告对象 t_disclaimer_report
 * 
 * @author ruoyi
 * @date 2023-12-09
 */
public class TDisclaimerReport extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 编号 */
    private Long id;

    /** 第一单位 */
    @Excel(name = "第一单位")
    private String organization1st;

    /** 第二单位 */
    @Excel(name = "第二单位")
    private String organization2nd;

    /** 第三单位 */
    @Excel(name = "第三单位")
    private String organization3rd;

    /** 事件发生时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "事件发生时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date occurrenceDate;

    /** 事件发生地点 */
    @Excel(name = "事件发生地点")
    private String occurrencePlace;

    /** 事件发生时机 */
    @Excel(name = "事件发生时机")
    private String occurrenceTime;

    /** 报告人岗位类别 */
    @Excel(name = "报告人岗位类别")
    private String reporterPositionCategory;

    /** 报告人岗位角色 */
    @Excel(name = "报告人岗位角色")
    private String reporterPositionCharacter;

    /** 机型 */
    @Excel(name = "机型")
    private String aircraftType;

    /** 报告人姓名 */
    @Excel(name = "报告人姓名")
    private String reporterName;

    /** 报告人电话 */
    @Excel(name = "报告人电话")
    private String reporterPhone;

    /** 原因分类 */
    @Excel(name = "原因分类")
    private String causeClassification;

    /** 类型 */
    @Excel(name = "类型")
    private String eventType;

    /** 事件标题 */
    @Excel(name = "事件标题")
    private String eventItle;

    /** 事件性质 */
    @Excel(name = "事件性质")
    private String eventRoperty;

    /** 事件经过 */
    @Excel(name = "事件经过")
    private String eventCourse;

    /** 事件分析及预防措施 */
    @Excel(name = "事件分析及预防措施")
    private String analysisPreventiveMeasures;

    /** 旅团站负责人职务 */
    @Excel(name = "旅团站负责人职务")
    private String principalPost;

    /** 旅团站负责人姓名 */
    @Excel(name = "旅团站负责人姓名")
    private String principalName;

    /** 照片 */
    @Excel(name = "照片")
    private String photoPath;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setOrganization1st(String organization1st) 
    {
        this.organization1st = organization1st;
    }

    public String getOrganization1st() 
    {
        return organization1st;
    }
    public void setOrganization2nd(String organization2nd) 
    {
        this.organization2nd = organization2nd;
    }

    public String getOrganization2nd() 
    {
        return organization2nd;
    }
    public void setOrganization3rd(String organization3rd) 
    {
        this.organization3rd = organization3rd;
    }

    public String getOrganization3rd() 
    {
        return organization3rd;
    }
    public void setOccurrenceDate(Date occurrenceDate) 
    {
        this.occurrenceDate = occurrenceDate;
    }

    public Date getOccurrenceDate() 
    {
        return occurrenceDate;
    }
    public void setOccurrencePlace(String occurrencePlace) 
    {
        this.occurrencePlace = occurrencePlace;
    }

    public String getOccurrencePlace() 
    {
        return occurrencePlace;
    }
    public void setOccurrenceTime(String occurrenceTime) 
    {
        this.occurrenceTime = occurrenceTime;
    }

    public String getOccurrenceTime() 
    {
        return occurrenceTime;
    }
    public void setReporterPositionCategory(String reporterPositionCategory) 
    {
        this.reporterPositionCategory = reporterPositionCategory;
    }

    public String getReporterPositionCategory() 
    {
        return reporterPositionCategory;
    }
    public void setReporterPositionCharacter(String reporterPositionCharacter) 
    {
        this.reporterPositionCharacter = reporterPositionCharacter;
    }

    public String getReporterPositionCharacter() 
    {
        return reporterPositionCharacter;
    }
    public void setAircraftType(String aircraftType) 
    {
        this.aircraftType = aircraftType;
    }

    public String getAircraftType() 
    {
        return aircraftType;
    }
    public void setReporterName(String reporterName) 
    {
        this.reporterName = reporterName;
    }

    public String getReporterName() 
    {
        return reporterName;
    }
    public void setReporterPhone(String reporterPhone) 
    {
        this.reporterPhone = reporterPhone;
    }

    public String getReporterPhone() 
    {
        return reporterPhone;
    }
    public void setCauseClassification(String causeClassification) 
    {
        this.causeClassification = causeClassification;
    }

    public String getCauseClassification() 
    {
        return causeClassification;
    }
    public void setEventType(String eventType) 
    {
        this.eventType = eventType;
    }

    public String getEventType() 
    {
        return eventType;
    }
    public void setEventItle(String eventItle) 
    {
        this.eventItle = eventItle;
    }

    public String getEventItle() 
    {
        return eventItle;
    }
    public void setEventRoperty(String eventRoperty) 
    {
        this.eventRoperty = eventRoperty;
    }

    public String getEventRoperty() 
    {
        return eventRoperty;
    }
    public void setEventCourse(String eventCourse) 
    {
        this.eventCourse = eventCourse;
    }

    public String getEventCourse() 
    {
        return eventCourse;
    }
    public void setAnalysisPreventiveMeasures(String analysisPreventiveMeasures) 
    {
        this.analysisPreventiveMeasures = analysisPreventiveMeasures;
    }

    public String getAnalysisPreventiveMeasures() 
    {
        return analysisPreventiveMeasures;
    }
    public void setPrincipalPost(String principalPost) 
    {
        this.principalPost = principalPost;
    }

    public String getPrincipalPost() 
    {
        return principalPost;
    }
    public void setPrincipalName(String principalName) 
    {
        this.principalName = principalName;
    }

    public String getPrincipalName() 
    {
        return principalName;
    }
    public void setPhotoPath(String photoPath) 
    {
        this.photoPath = photoPath;
    }

    public String getPhotoPath() 
    {
        return photoPath;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("organization1st", getOrganization1st())
            .append("organization2nd", getOrganization2nd())
            .append("organization3rd", getOrganization3rd())
            .append("occurrenceDate", getOccurrenceDate())
            .append("occurrencePlace", getOccurrencePlace())
            .append("occurrenceTime", getOccurrenceTime())
            .append("reporterPositionCategory", getReporterPositionCategory())
            .append("reporterPositionCharacter", getReporterPositionCharacter())
            .append("aircraftType", getAircraftType())
            .append("reporterName", getReporterName())
            .append("reporterPhone", getReporterPhone())
            .append("causeClassification", getCauseClassification())
            .append("eventType", getEventType())
            .append("eventItle", getEventItle())
            .append("eventRoperty", getEventRoperty())
            .append("eventCourse", getEventCourse())
            .append("analysisPreventiveMeasures", getAnalysisPreventiveMeasures())
            .append("principalPost", getPrincipalPost())
            .append("principalName", getPrincipalName())
            .append("remark", getRemark())
            .append("photoPath", getPhotoPath())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
