package com.amms.system.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.amms.common.annotation.Excel;
import com.amms.common.core.domain.BaseEntity;

/**
 * 电子文件管理对象 t_electronic_document
 * 
 * @author ruoyi
 * @date 2023-12-12
 */
public class TElectronicDocument extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 编号 */
    private Long id;

    /** 收文年份 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "收文年份", width = 30, dateFormat = "yyyy-MM-dd")
    private Date documentDate;

    /** 收文编号 */
    @Excel(name = "收文编号")
    private String documentId;

    /** 发文单位 */
    @Excel(name = "发文单位")
    private String documentUnit;

    /** 文件编号 */
    @Excel(name = "文件编号")
    private String fileId;

    /** 文件名称 */
    @Excel(name = "文件名称")
    private String fileName;

    /** 承办日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "承办日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date undertakeDate;

    /** 承办人 */
    @Excel(name = "承办人")
    private String undertakeName;

    /** 文件中的指令性工作 */
    @Excel(name = "文件中的指令性工作")
    private String instructionWork;

    /** 领导批示和要求 */
    @Excel(name = "领导批示和要求")
    private String leaderReply;

    /** 负责人 */
    @Excel(name = "负责人")
    private String headName;

    /** 是否归档 */
    @Excel(name = "是否归档")
    private String placeOnFile;

    /** 存放位置 */
    @Excel(name = "存放位置")
    private String fileAddress;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setDocumentDate(Date documentDate) 
    {
        this.documentDate = documentDate;
    }

    public Date getDocumentDate() 
    {
        return documentDate;
    }
    public void setDocumentId(String documentId) 
    {
        this.documentId = documentId;
    }

    public String getDocumentId() 
    {
        return documentId;
    }
    public void setDocumentUnit(String documentUnit) 
    {
        this.documentUnit = documentUnit;
    }

    public String getDocumentUnit() 
    {
        return documentUnit;
    }
    public void setFileId(String fileId) 
    {
        this.fileId = fileId;
    }

    public String getFileId() 
    {
        return fileId;
    }
    public void setFileName(String fileName) 
    {
        this.fileName = fileName;
    }

    public String getFileName() 
    {
        return fileName;
    }
    public void setUndertakeDate(Date undertakeDate) 
    {
        this.undertakeDate = undertakeDate;
    }

    public Date getUndertakeDate() 
    {
        return undertakeDate;
    }
    public void setUndertakeName(String undertakeName) 
    {
        this.undertakeName = undertakeName;
    }

    public String getUndertakeName() 
    {
        return undertakeName;
    }
    public void setInstructionWork(String instructionWork) 
    {
        this.instructionWork = instructionWork;
    }

    public String getInstructionWork() 
    {
        return instructionWork;
    }
    public void setLeaderReply(String leaderReply) 
    {
        this.leaderReply = leaderReply;
    }

    public String getLeaderReply() 
    {
        return leaderReply;
    }
    public void setHeadName(String headName) 
    {
        this.headName = headName;
    }

    public String getHeadName() 
    {
        return headName;
    }
    public void setPlaceOnFile(String placeOnFile) 
    {
        this.placeOnFile = placeOnFile;
    }

    public String getPlaceOnFile() 
    {
        return placeOnFile;
    }
    public void setFileAddress(String fileAddress) 
    {
        this.fileAddress = fileAddress;
    }

    public String getFileAddress() 
    {
        return fileAddress;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("documentDate", getDocumentDate())
            .append("documentId", getDocumentId())
            .append("documentUnit", getDocumentUnit())
            .append("fileId", getFileId())
            .append("fileName", getFileName())
            .append("undertakeDate", getUndertakeDate())
            .append("undertakeName", getUndertakeName())
            .append("instructionWork", getInstructionWork())
            .append("leaderReply", getLeaderReply())
            .append("headName", getHeadName())
            .append("placeOnFile", getPlaceOnFile())
            .append("fileAddress", getFileAddress())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
