package com.amms.system.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.amms.common.annotation.Excel;
import com.amms.common.core.domain.BaseEntity;

/**
 * 发动机交接管理对象 t_engine_handover
 * 
 * @author ruoyi
 * @date 2023-12-12
 */
public class TEngineHandover extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 编号 */
    private Long id;

    /** 日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date enginehandoverDate;

    /** 原因 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "原因", width = 30, dateFormat = "yyyy-MM-dd")
    private Date enginehandoverCause;

    /** 发动机号 */
    @Excel(name = "发动机号")
    private String engineId;

    /** 入库/出库 */
    @Excel(name = "入库/出库")
    private String putOut;

    /** 承办人 */
    @Excel(name = "承办人")
    private String undertakeName;

    /** 交接清单是否收到 */
    @Excel(name = "交接清单是否收到")
    private String ifReceive;

    /** 交接清单接收人 */
    @Excel(name = "交接清单接收人")
    private String receiveName;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setEnginehandoverDate(Date enginehandoverDate) 
    {
        this.enginehandoverDate = enginehandoverDate;
    }

    public Date getEnginehandoverDate() 
    {
        return enginehandoverDate;
    }
    public void setEnginehandoverCause(Date enginehandoverCause) 
    {
        this.enginehandoverCause = enginehandoverCause;
    }

    public Date getEnginehandoverCause() 
    {
        return enginehandoverCause;
    }
    public void setEngineId(String engineId) 
    {
        this.engineId = engineId;
    }

    public String getEngineId() 
    {
        return engineId;
    }
    public void setPutOut(String putOut) 
    {
        this.putOut = putOut;
    }

    public String getPutOut() 
    {
        return putOut;
    }
    public void setUndertakeName(String undertakeName) 
    {
        this.undertakeName = undertakeName;
    }

    public String getUndertakeName() 
    {
        return undertakeName;
    }
    public void setIfReceive(String ifReceive) 
    {
        this.ifReceive = ifReceive;
    }

    public String getIfReceive() 
    {
        return ifReceive;
    }
    public void setReceiveName(String receiveName) 
    {
        this.receiveName = receiveName;
    }

    public String getReceiveName() 
    {
        return receiveName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("enginehandoverDate", getEnginehandoverDate())
            .append("enginehandoverCause", getEnginehandoverCause())
            .append("engineId", getEngineId())
            .append("putOut", getPutOut())
            .append("undertakeName", getUndertakeName())
            .append("ifReceive", getIfReceive())
            .append("receiveName", getReceiveName())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
