package com.amms.system.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.amms.common.annotation.Excel;
import com.amms.common.core.domain.BaseEntity;

/**
 * 装备质量一本账对象 t_equipment_quality
 * 
 * @author ruoyi
 * @date 2023-12-09
 */
public class TEquipmentQuality extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 编号 */
    private Long id;

    /** 日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date dateTime;

    /** 装备型号 */
    @Excel(name = "装备型号")
    private String equipmentType;

    /** 专业 */
    @Excel(name = "专业")
    private String major;

    /** 简要情况 */
    @Excel(name = "简要情况")
    private String quickFacts;

    /** 问题原因 */
    @Excel(name = "问题原因")
    private String reasons;

    /** 对策措施 */
    @Excel(name = "对策措施")
    private String countermeasure;

    /** 责任人 */
    @Excel(name = "责任人")
    private String principal;

    /** 跟进情况 */
    @Excel(name = "跟进情况")
    private String followUp;

    /** 归零情况 */
    @Excel(name = "归零情况")
    private String returnZero;

    /** 简报 */
    @Excel(name = "简报")
    private String briefReport;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setDateTime(Date dateTime) 
    {
        this.dateTime = dateTime;
    }

    public Date getDateTime() 
    {
        return dateTime;
    }
    public void setEquipmentType(String equipmentType) 
    {
        this.equipmentType = equipmentType;
    }

    public String getEquipmentType() 
    {
        return equipmentType;
    }
    public void setMajor(String major) 
    {
        this.major = major;
    }

    public String getMajor() 
    {
        return major;
    }
    public void setQuickFacts(String quickFacts) 
    {
        this.quickFacts = quickFacts;
    }

    public String getQuickFacts() 
    {
        return quickFacts;
    }
    public void setReasons(String reasons) 
    {
        this.reasons = reasons;
    }

    public String getReasons() 
    {
        return reasons;
    }
    public void setCountermeasure(String countermeasure) 
    {
        this.countermeasure = countermeasure;
    }

    public String getCountermeasure() 
    {
        return countermeasure;
    }
    public void setPrincipal(String principal) 
    {
        this.principal = principal;
    }

    public String getPrincipal() 
    {
        return principal;
    }
    public void setFollowUp(String followUp) 
    {
        this.followUp = followUp;
    }

    public String getFollowUp() 
    {
        return followUp;
    }
    public void setReturnZero(String returnZero) 
    {
        this.returnZero = returnZero;
    }

    public String getReturnZero() 
    {
        return returnZero;
    }
    public void setBriefReport(String briefReport) 
    {
        this.briefReport = briefReport;
    }

    public String getBriefReport() 
    {
        return briefReport;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("dateTime", getDateTime())
            .append("equipmentType", getEquipmentType())
            .append("major", getMajor())
            .append("quickFacts", getQuickFacts())
            .append("reasons", getReasons())
            .append("countermeasure", getCountermeasure())
            .append("principal", getPrincipal())
            .append("followUp", getFollowUp())
            .append("returnZero", getReturnZero())
            .append("briefReport", getBriefReport())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
