package com.amms.system.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.amms.common.annotation.Excel;
import com.amms.common.core.domain.BaseEntity;

/**
 * 备忘录管理模块对象 t_memorandum_management
 * 
 * @author ruoyi
 * @date 2023-12-12
 */
public class TMemorandumManagement extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 编号 */
    private Long id;

    /** 机型 */
    @Excel(name = "机型")
    private String aircraftType;

    /** 飞机号 */
    @Excel(name = "飞机号")
    private String aircraftId;

    /** 出厂编号 */
    @Excel(name = "出厂编号")
    private String exfactoryId;

    /** 备忘录编号 */
    @Excel(name = "备忘录编号")
    private String memorandumId;

    /** 更改对象 */
    @Excel(name = "更改对象")
    private String updateObject;

    /** 责任单位 */
    @Excel(name = "责任单位")
    private String responsibleOrganization;

    /** 落实期限 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "落实期限", width = 30, dateFormat = "yyyy-MM-dd")
    private Date implementationDeadline;

    /** 专业 */
    @Excel(name = "专业")
    private String major;

    /** 履历本完成日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "履历本完成日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date resumeDate;

    /** 成飞完成日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "成飞完成日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date flyDate;

    /** 是否超期 */
    @Excel(name = "是否超期")
    private String ifOverdue;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setAircraftType(String aircraftType) 
    {
        this.aircraftType = aircraftType;
    }

    public String getAircraftType() 
    {
        return aircraftType;
    }
    public void setAircraftId(String aircraftId) 
    {
        this.aircraftId = aircraftId;
    }

    public String getAircraftId() 
    {
        return aircraftId;
    }
    public void setExfactoryId(String exfactoryId) 
    {
        this.exfactoryId = exfactoryId;
    }

    public String getExfactoryId() 
    {
        return exfactoryId;
    }
    public void setMemorandumId(String memorandumId) 
    {
        this.memorandumId = memorandumId;
    }

    public String getMemorandumId() 
    {
        return memorandumId;
    }
    public void setUpdateObject(String updateObject) 
    {
        this.updateObject = updateObject;
    }

    public String getUpdateObject() 
    {
        return updateObject;
    }
    public void setResponsibleOrganization(String responsibleOrganization) 
    {
        this.responsibleOrganization = responsibleOrganization;
    }

    public String getResponsibleOrganization() 
    {
        return responsibleOrganization;
    }
    public void setImplementationDeadline(Date implementationDeadline) 
    {
        this.implementationDeadline = implementationDeadline;
    }

    public Date getImplementationDeadline() 
    {
        return implementationDeadline;
    }
    public void setMajor(String major) 
    {
        this.major = major;
    }

    public String getMajor() 
    {
        return major;
    }
    public void setResumeDate(Date resumeDate) 
    {
        this.resumeDate = resumeDate;
    }

    public Date getResumeDate() 
    {
        return resumeDate;
    }
    public void setFlyDate(Date flyDate) 
    {
        this.flyDate = flyDate;
    }

    public Date getFlyDate() 
    {
        return flyDate;
    }
    public void setIfOverdue(String ifOverdue) 
    {
        this.ifOverdue = ifOverdue;
    }

    public String getIfOverdue() 
    {
        return ifOverdue;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("aircraftType", getAircraftType())
            .append("aircraftId", getAircraftId())
            .append("exfactoryId", getExfactoryId())
            .append("memorandumId", getMemorandumId())
            .append("updateObject", getUpdateObject())
            .append("responsibleOrganization", getResponsibleOrganization())
            .append("implementationDeadline", getImplementationDeadline())
            .append("major", getMajor())
            .append("resumeDate", getResumeDate())
            .append("flyDate", getFlyDate())
            .append("ifOverdue", getIfOverdue())
            .append("remark", getRemark())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
