package com.amms.system.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.amms.common.annotation.Excel;
import com.amms.common.core.domain.BaseEntity;

/**
 * 备战打仗一本账对象 t_prepare_war
 * 
 * @author ruoyi
 * @date 2023-12-09
 */
public class TPrepareWar extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 编号 */
    private Long id;

    /** 具体问题 */
    @Excel(name = "具体问题")
    private String concreteIssue;

    /** 解决措施 */
    @Excel(name = "解决措施")
    private String solution;

    /** 责任单位 */
    @Excel(name = "责任单位")
    private String responsibleOrganization;

    /** 责任人 */
    @Excel(name = "责任人")
    private String principal;

    /** 解决时限 */
    @Excel(name = "解决时限")
    private String resolutionTimeLimit;

    /** 标准要求 */
    @Excel(name = "标准要求")
    private String standardRequest;

    /** 挂账时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "挂账时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date billingTime;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setConcreteIssue(String concreteIssue) 
    {
        this.concreteIssue = concreteIssue;
    }

    public String getConcreteIssue() 
    {
        return concreteIssue;
    }
    public void setSolution(String solution) 
    {
        this.solution = solution;
    }

    public String getSolution() 
    {
        return solution;
    }
    public void setResponsibleOrganization(String responsibleOrganization) 
    {
        this.responsibleOrganization = responsibleOrganization;
    }

    public String getResponsibleOrganization() 
    {
        return responsibleOrganization;
    }
    public void setPrincipal(String principal) 
    {
        this.principal = principal;
    }

    public String getPrincipal() 
    {
        return principal;
    }
    public void setResolutionTimeLimit(String resolutionTimeLimit) 
    {
        this.resolutionTimeLimit = resolutionTimeLimit;
    }

    public String getResolutionTimeLimit() 
    {
        return resolutionTimeLimit;
    }
    public void setStandardRequest(String standardRequest) 
    {
        this.standardRequest = standardRequest;
    }

    public String getStandardRequest() 
    {
        return standardRequest;
    }
    public void setBillingTime(Date billingTime) 
    {
        this.billingTime = billingTime;
    }

    public Date getBillingTime() 
    {
        return billingTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("concreteIssue", getConcreteIssue())
            .append("solution", getSolution())
            .append("responsibleOrganization", getResponsibleOrganization())
            .append("principal", getPrincipal())
            .append("resolutionTimeLimit", getResolutionTimeLimit())
            .append("standardRequest", getStandardRequest())
            .append("billingTime", getBillingTime())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
