package com.amms.system.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.amms.common.annotation.Excel;
import com.amms.common.core.domain.BaseEntity;

/**
 * 安全检查信息对象 t_safety_inspection
 * 
 * @author ruoyi
 * @date 2023-12-09
 */
public class TSafetyInspection extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 编号 */
    private Long id;

    /** 单位 */
    @Excel(name = "单位")
    private String organization;

    /** 日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date dateTime;

    /** 专业 */
    @Excel(name = "专业")
    private String major;

    /** 问题详情 */
    @Excel(name = "问题详情")
    private String issueDetails;

    /** 责任人 */
    @Excel(name = "责任人")
    private String principal;

    /** 检查人 */
    @Excel(name = "检查人")
    private String superviser;

    /** 整改措施 */
    @Excel(name = "整改措施")
    private String rectificationMeasures;

    /** 分类 */
    @Excel(name = "分类")
    private String classify;

    /** 整改情况 */
    @Excel(name = "整改情况")
    private String rectificationStatus;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setOrganization(String organization) 
    {
        this.organization = organization;
    }

    public String getOrganization() 
    {
        return organization;
    }
    public void setDateTime(Date dateTime) 
    {
        this.dateTime = dateTime;
    }

    public Date getDateTime() 
    {
        return dateTime;
    }
    public void setMajor(String major) 
    {
        this.major = major;
    }

    public String getMajor() 
    {
        return major;
    }
    public void setIssueDetails(String issueDetails) 
    {
        this.issueDetails = issueDetails;
    }

    public String getIssueDetails() 
    {
        return issueDetails;
    }
    public void setPrincipal(String principal) 
    {
        this.principal = principal;
    }

    public String getPrincipal() 
    {
        return principal;
    }
    public void setSuperviser(String superviser) 
    {
        this.superviser = superviser;
    }

    public String getSuperviser() 
    {
        return superviser;
    }
    public void setRectificationMeasures(String rectificationMeasures) 
    {
        this.rectificationMeasures = rectificationMeasures;
    }

    public String getRectificationMeasures() 
    {
        return rectificationMeasures;
    }
    public void setClassify(String classify) 
    {
        this.classify = classify;
    }

    public String getClassify() 
    {
        return classify;
    }
    public void setRectificationStatus(String rectificationStatus) 
    {
        this.rectificationStatus = rectificationStatus;
    }

    public String getRectificationStatus() 
    {
        return rectificationStatus;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("organization", getOrganization())
            .append("dateTime", getDateTime())
            .append("major", getMajor())
            .append("issueDetails", getIssueDetails())
            .append("principal", getPrincipal())
            .append("superviser", getSuperviser())
            .append("rectificationMeasures", getRectificationMeasures())
            .append("classify", getClassify())
            .append("rectificationStatus", getRectificationStatus())
            .append("remark", getRemark())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
