package com.amms.system.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.amms.common.annotation.Excel;
import com.amms.common.core.domain.BaseEntity;

/**
 * 安全奖惩信息对象 t_safety_reward
 * 
 * @author ruoyi
 * @date 2023-12-09
 */
public class TSafetyReward extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 编号 */
    private Long id;

    /** 申报时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "申报时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date declarationDate;

    /** 姓名 */
    @Excel(name = "姓名")
    private String declarationName;

    /** 奖项 */
    @Excel(name = "奖项")
    private String declarationType;

    /** 批复 */
    @Excel(name = "批复")
    private String declarationReply;

    /** 是否领取 */
    @Excel(name = "是否领取")
    private String toReceive;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setDeclarationDate(Date declarationDate) 
    {
        this.declarationDate = declarationDate;
    }

    public Date getDeclarationDate() 
    {
        return declarationDate;
    }
    public void setDeclarationName(String declarationName) 
    {
        this.declarationName = declarationName;
    }

    public String getDeclarationName() 
    {
        return declarationName;
    }
    public void setDeclarationType(String declarationType) 
    {
        this.declarationType = declarationType;
    }

    public String getDeclarationType() 
    {
        return declarationType;
    }
    public void setDeclarationReply(String declarationReply) 
    {
        this.declarationReply = declarationReply;
    }

    public String getDeclarationReply() 
    {
        return declarationReply;
    }
    public void setToReceive(String toReceive) 
    {
        this.toReceive = toReceive;
    }

    public String getToReceive() 
    {
        return toReceive;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("declarationDate", getDeclarationDate())
            .append("declarationName", getDeclarationName())
            .append("declarationType", getDeclarationType())
            .append("declarationReply", getDeclarationReply())
            .append("toReceive", getToReceive())
            .append("remark", getRemark())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
