package com.amms.system.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.amms.common.annotation.Excel;
import com.amms.common.core.domain.BaseEntity;

/**
 * 技术通报管理模块对象 t_technical_bulletin
 * 
 * @author ruoyi
 * @date 2023-12-12
 */
public class TTechnicalBulletin extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 编号 */
    private Long id;

    /** 通报编号 */
    @Excel(name = "通报编号")
    private String bulletinId;

    /** 工厂编号 */
    @Excel(name = "工厂编号")
    private String factoryId;

    /** 通报名称 */
    @Excel(name = "通报名称")
    private String bulletinName;

    /** 机型 */
    @Excel(name = "机型")
    private String aircraftType;

    /** 专业 */
    @Excel(name = "专业")
    private String major;

    /** 涉及范围 */
    @Excel(name = "涉及范围")
    private String scopeInvolvement;

    /** 收文日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "收文日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date receiptDate;

    /** 落实期限 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "落实期限", width = 30, dateFormat = "yyyy-MM-dd")
    private Date implementationDeadline;

    /** 落实方式 */
    @Excel(name = "落实方式")
    private String implementationWay;

    /** 落实时机 */
    @Excel(name = "落实时机")
    private String implementationOpportunity;

    /** 完成日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "完成日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date finishDate;

    /** 是否归档 */
    @Excel(name = "是否归档")
    private String placeOnFile;

    /** 对应技术更改单号 */
    @Excel(name = "对应技术更改单号")
    private String technologyId;

    /** 到期控制 */
    @Excel(name = "到期控制")
    private String expirationControl;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setBulletinId(String bulletinId) 
    {
        this.bulletinId = bulletinId;
    }

    public String getBulletinId() 
    {
        return bulletinId;
    }
    public void setFactoryId(String factoryId) 
    {
        this.factoryId = factoryId;
    }

    public String getFactoryId() 
    {
        return factoryId;
    }
    public void setBulletinName(String bulletinName) 
    {
        this.bulletinName = bulletinName;
    }

    public String getBulletinName() 
    {
        return bulletinName;
    }
    public void setAircraftType(String aircraftType) 
    {
        this.aircraftType = aircraftType;
    }

    public String getAircraftType() 
    {
        return aircraftType;
    }
    public void setMajor(String major) 
    {
        this.major = major;
    }

    public String getMajor() 
    {
        return major;
    }
    public void setScopeInvolvement(String scopeInvolvement) 
    {
        this.scopeInvolvement = scopeInvolvement;
    }

    public String getScopeInvolvement() 
    {
        return scopeInvolvement;
    }
    public void setReceiptDate(Date receiptDate) 
    {
        this.receiptDate = receiptDate;
    }

    public Date getReceiptDate() 
    {
        return receiptDate;
    }
    public void setImplementationDeadline(Date implementationDeadline) 
    {
        this.implementationDeadline = implementationDeadline;
    }

    public Date getImplementationDeadline() 
    {
        return implementationDeadline;
    }
    public void setImplementationWay(String implementationWay) 
    {
        this.implementationWay = implementationWay;
    }

    public String getImplementationWay() 
    {
        return implementationWay;
    }
    public void setImplementationOpportunity(String implementationOpportunity) 
    {
        this.implementationOpportunity = implementationOpportunity;
    }

    public String getImplementationOpportunity() 
    {
        return implementationOpportunity;
    }
    public void setFinishDate(Date finishDate) 
    {
        this.finishDate = finishDate;
    }

    public Date getFinishDate() 
    {
        return finishDate;
    }
    public void setPlaceOnFile(String placeOnFile) 
    {
        this.placeOnFile = placeOnFile;
    }

    public String getPlaceOnFile() 
    {
        return placeOnFile;
    }
    public void setTechnologyId(String technologyId) 
    {
        this.technologyId = technologyId;
    }

    public String getTechnologyId() 
    {
        return technologyId;
    }
    public void setExpirationControl(String expirationControl) 
    {
        this.expirationControl = expirationControl;
    }

    public String getExpirationControl() 
    {
        return expirationControl;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("bulletinId", getBulletinId())
            .append("factoryId", getFactoryId())
            .append("bulletinName", getBulletinName())
            .append("aircraftType", getAircraftType())
            .append("major", getMajor())
            .append("scopeInvolvement", getScopeInvolvement())
            .append("receiptDate", getReceiptDate())
            .append("implementationDeadline", getImplementationDeadline())
            .append("implementationWay", getImplementationWay())
            .append("implementationOpportunity", getImplementationOpportunity())
            .append("finishDate", getFinishDate())
            .append("placeOnFile", getPlaceOnFile())
            .append("technologyId", getTechnologyId())
            .append("expirationControl", getExpirationControl())
            .append("remark", getRemark())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
