package com.amms.system.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.amms.common.annotation.Excel;
import com.amms.common.core.domain.BaseEntity;

/**
 * 技术更改单管理模块对象 t_technical_changes
 * 
 * @author ruoyi
 * @date 2023-12-12
 */
public class TTechnicalChanges extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 编号 */
    private Long id;

    /** 批准单号 */
    @Excel(name = "批准单号")
    private String ratifyId;

    /** 申请单号 */
    @Excel(name = "申请单号")
    private String applyForId;

    /** 更改名称 */
    @Excel(name = "更改名称")
    private String updateName;

    /** 涉及范围 */
    @Excel(name = "涉及范围")
    private String scopeInvolvement;

    /** 专业 */
    @Excel(name = "专业")
    private String major;

    /** 落实期限 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "落实期限", width = 30, dateFormat = "yyyy-MM-dd")
    private Date implementationDeadline;

    /** 落实时机 */
    @Excel(name = "落实时机")
    private String implementationOpportunity;

    /** 是否归档 */
    @Excel(name = "是否归档")
    private String placeOnFile;

    /** 到期控制 */
    @Excel(name = "到期控制")
    private String expirationControl;

    /** 21 */
    @Excel(name = "21")
    private String num21;

    /** 22 */
    @Excel(name = "22")
    private String num22;

    /** 23 */
    @Excel(name = "23")
    private String num23;

    /** 24 */
    @Excel(name = "24")
    private String num24;

    /** 25 */
    @Excel(name = "25")
    private String num25;

    /** 26 */
    @Excel(name = "26")
    private String num26;

    /** 27 */
    @Excel(name = "27")
    private String num27;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setRatifyId(String ratifyId) 
    {
        this.ratifyId = ratifyId;
    }

    public String getRatifyId() 
    {
        return ratifyId;
    }
    public void setApplyForId(String applyForId) 
    {
        this.applyForId = applyForId;
    }

    public String getApplyForId() 
    {
        return applyForId;
    }
    public void setUpdateName(String updateName) 
    {
        this.updateName = updateName;
    }

    public String getUpdateName() 
    {
        return updateName;
    }
    public void setScopeInvolvement(String scopeInvolvement) 
    {
        this.scopeInvolvement = scopeInvolvement;
    }

    public String getScopeInvolvement() 
    {
        return scopeInvolvement;
    }
    public void setMajor(String major) 
    {
        this.major = major;
    }

    public String getMajor() 
    {
        return major;
    }
    public void setImplementationDeadline(Date implementationDeadline) 
    {
        this.implementationDeadline = implementationDeadline;
    }

    public Date getImplementationDeadline() 
    {
        return implementationDeadline;
    }
    public void setImplementationOpportunity(String implementationOpportunity) 
    {
        this.implementationOpportunity = implementationOpportunity;
    }

    public String getImplementationOpportunity() 
    {
        return implementationOpportunity;
    }
    public void setPlaceOnFile(String placeOnFile) 
    {
        this.placeOnFile = placeOnFile;
    }

    public String getPlaceOnFile() 
    {
        return placeOnFile;
    }
    public void setExpirationControl(String expirationControl) 
    {
        this.expirationControl = expirationControl;
    }

    public String getExpirationControl() 
    {
        return expirationControl;
    }
    public void setNum21(String num21) 
    {
        this.num21 = num21;
    }

    public String getNum21() 
    {
        return num21;
    }
    public void setNum22(String num22) 
    {
        this.num22 = num22;
    }

    public String getNum22() 
    {
        return num22;
    }
    public void setNum23(String num23) 
    {
        this.num23 = num23;
    }

    public String getNum23() 
    {
        return num23;
    }
    public void setNum24(String num24) 
    {
        this.num24 = num24;
    }

    public String getNum24() 
    {
        return num24;
    }
    public void setNum25(String num25) 
    {
        this.num25 = num25;
    }

    public String getNum25() 
    {
        return num25;
    }
    public void setNum26(String num26) 
    {
        this.num26 = num26;
    }

    public String getNum26() 
    {
        return num26;
    }
    public void setNum27(String num27) 
    {
        this.num27 = num27;
    }

    public String getNum27() 
    {
        return num27;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("ratifyId", getRatifyId())
            .append("applyForId", getApplyForId())
            .append("updateName", getUpdateName())
            .append("scopeInvolvement", getScopeInvolvement())
            .append("major", getMajor())
            .append("implementationDeadline", getImplementationDeadline())
            .append("implementationOpportunity", getImplementationOpportunity())
            .append("placeOnFile", getPlaceOnFile())
            .append("expirationControl", getExpirationControl())
            .append("num21", getNum21())
            .append("num22", getNum22())
            .append("num23", getNum23())
            .append("num24", getNum24())
            .append("num25", getNum25())
            .append("num26", getNum26())
            .append("num27", getNum27())
            .append("remark", getRemark())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
