package com.amms.system.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.amms.common.annotation.Excel;
import com.amms.common.core.domain.BaseEntity;

/**
 * 技术资料管理对象 t_technical_data
 * 
 * @author ruoyi
 * @date 2023-12-12
 */
public class TTechnicalData extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 编号 */
    private Long id;

    /** 机型 */
    @Excel(name = "机型")
    private String aircraftType;

    /** 书籍名称 */
    @Excel(name = "书籍名称")
    private String bookName;

    /** 密级 */
    @Excel(name = "密级")
    private String secretLevel;

    /** 出版单位 */
    @Excel(name = "出版单位")
    private String publishUnit;

    /** 发行日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "发行日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date publishDate;

    /** 资料编号 */
    @Excel(name = "资料编号")
    private String documentId;

    /** 保密编号 */
    @Excel(name = "保密编号")
    private String secretId;

    /** 存放位置 */
    @Excel(name = "存放位置")
    private String fileAddress;

    /** 交接记录 */
    @Excel(name = "交接记录")
    private String handoverRecord;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setAircraftType(String aircraftType) 
    {
        this.aircraftType = aircraftType;
    }

    public String getAircraftType() 
    {
        return aircraftType;
    }
    public void setBookName(String bookName) 
    {
        this.bookName = bookName;
    }

    public String getBookName() 
    {
        return bookName;
    }
    public void setSecretLevel(String secretLevel) 
    {
        this.secretLevel = secretLevel;
    }

    public String getSecretLevel() 
    {
        return secretLevel;
    }
    public void setPublishUnit(String publishUnit) 
    {
        this.publishUnit = publishUnit;
    }

    public String getPublishUnit() 
    {
        return publishUnit;
    }
    public void setPublishDate(Date publishDate) 
    {
        this.publishDate = publishDate;
    }

    public Date getPublishDate() 
    {
        return publishDate;
    }
    public void setDocumentId(String documentId) 
    {
        this.documentId = documentId;
    }

    public String getDocumentId() 
    {
        return documentId;
    }
    public void setSecretId(String secretId) 
    {
        this.secretId = secretId;
    }

    public String getSecretId() 
    {
        return secretId;
    }
    public void setFileAddress(String fileAddress) 
    {
        this.fileAddress = fileAddress;
    }

    public String getFileAddress() 
    {
        return fileAddress;
    }
    public void setHandoverRecord(String handoverRecord) 
    {
        this.handoverRecord = handoverRecord;
    }

    public String getHandoverRecord() 
    {
        return handoverRecord;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("aircraftType", getAircraftType())
            .append("bookName", getBookName())
            .append("secretLevel", getSecretLevel())
            .append("publishUnit", getPublishUnit())
            .append("publishDate", getPublishDate())
            .append("documentId", getDocumentId())
            .append("secretId", getSecretId())
            .append("fileAddress", getFileAddress())
            .append("handoverRecord", getHandoverRecord())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
