package com.amms.system.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.amms.common.annotation.Excel;
import com.amms.common.core.domain.BaseEntity;

/**
 * 历史上的今天对象 t_today_in_history
 * 
 * @author ruoyi
 * @date 2023-12-09
 */
public class TTodayInHistory extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 编号 */
    private Long id;

    /** 时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date dateTime;

    /** 机型 */
    @Excel(name = "机型")
    private String aircraftType;

    /** 发生时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "发生时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date occurrenceTime;

    /** 问题描述 */
    @Excel(name = "问题描述")
    private String problemDescription;

    /** 类别 */
    @Excel(name = "类别")
    private String category;

    /** 分类 */
    @Excel(name = "分类")
    private String classify;

    /** 后果 */
    @Excel(name = "后果")
    private String consequence;

    /** 性质 */
    @Excel(name = "性质")
    private String quality;

    /** 照片 */
    @Excel(name = "照片")
    private String photoPath;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setDateTime(Date dateTime) 
    {
        this.dateTime = dateTime;
    }

    public Date getDateTime() 
    {
        return dateTime;
    }
    public void setAircraftType(String aircraftType) 
    {
        this.aircraftType = aircraftType;
    }

    public String getAircraftType() 
    {
        return aircraftType;
    }
    public void setOccurrenceTime(Date occurrenceTime) 
    {
        this.occurrenceTime = occurrenceTime;
    }

    public Date getOccurrenceTime() 
    {
        return occurrenceTime;
    }
    public void setProblemDescription(String problemDescription) 
    {
        this.problemDescription = problemDescription;
    }

    public String getProblemDescription() 
    {
        return problemDescription;
    }
    public void setCategory(String category) 
    {
        this.category = category;
    }

    public String getCategory() 
    {
        return category;
    }
    public void setClassify(String classify) 
    {
        this.classify = classify;
    }

    public String getClassify() 
    {
        return classify;
    }
    public void setConsequence(String consequence) 
    {
        this.consequence = consequence;
    }

    public String getConsequence() 
    {
        return consequence;
    }
    public void setQuality(String quality) 
    {
        this.quality = quality;
    }

    public String getQuality() 
    {
        return quality;
    }
    public void setPhotoPath(String photoPath) 
    {
        this.photoPath = photoPath;
    }

    public String getPhotoPath() 
    {
        return photoPath;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("dateTime", getDateTime())
            .append("aircraftType", getAircraftType())
            .append("occurrenceTime", getOccurrenceTime())
            .append("problemDescription", getProblemDescription())
            .append("category", getCategory())
            .append("classify", getClassify())
            .append("consequence", getConsequence())
            .append("quality", getQuality())
            .append("remark", getRemark())
            .append("photoPath", getPhotoPath())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
