package com.amms.system.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.amms.common.annotation.Excel;
import com.amms.common.core.domain.BaseEntity;

/**
 * 人员训练技术档案管理对象 t_training_management
 * 
 * @author ruoyi
 * @date 2023-12-09
 */
public class TTrainingManagement extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 编号 */
    private Long id;

    /** 姓名 */
    @Excel(name = "姓名")
    private String assessmentName;

    /** 单位 */
    @Excel(name = "单位")
    private String assessmentOrganization;

    /** 专业 */
    @Excel(name = "专业")
    private String major;

    /** 工作类别(师、代理师、员外) */
    @Excel(name = "工作类别(师、代理师、员外)")
    private String workCategory;

    /** 放单日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "放单日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date ladingbillDate;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setAssessmentName(String assessmentName) 
    {
        this.assessmentName = assessmentName;
    }

    public String getAssessmentName() 
    {
        return assessmentName;
    }
    public void setAssessmentOrganization(String assessmentOrganization) 
    {
        this.assessmentOrganization = assessmentOrganization;
    }

    public String getAssessmentOrganization() 
    {
        return assessmentOrganization;
    }
    public void setMajor(String major) 
    {
        this.major = major;
    }

    public String getMajor() 
    {
        return major;
    }
    public void setWorkCategory(String workCategory) 
    {
        this.workCategory = workCategory;
    }

    public String getWorkCategory() 
    {
        return workCategory;
    }
    public void setLadingbillDate(Date ladingbillDate) 
    {
        this.ladingbillDate = ladingbillDate;
    }

    public Date getLadingbillDate() 
    {
        return ladingbillDate;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("assessmentName", getAssessmentName())
            .append("assessmentOrganization", getAssessmentOrganization())
            .append("major", getMajor())
            .append("workCategory", getWorkCategory())
            .append("ladingbillDate", getLadingbillDate())
            .append("remark", getRemark())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
