package com.amms.system.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.amms.common.annotation.Excel;
import com.amms.common.core.domain.BaseEntity;

/**
 * 部队问题一本账对象 t_troop_problem
 * 
 * @author ruoyi
 * @date 2023-12-09
 */
public class TTroopProblem extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 编号 */
    private Long id;

    /** 时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date dateTime;

    /** 单位 */
    @Excel(name = "单位")
    private String organization;

    /** 联系人 */
    @Excel(name = "联系人")
    private String contacts;

    /** 具体问题 */
    @Excel(name = "具体问题")
    private String issue;

    /** 解决措施 */
    @Excel(name = "解决措施")
    private String solution;

    /** 责任单位 */
    @Excel(name = "责任单位")
    private String responsibleOrganization;

    /** 责任人 */
    @Excel(name = "责任人")
    private String principal;

    /** 解决时限 */
    @Excel(name = "解决时限")
    private String resolutionTimeLimit;

    /** 完成情况 */
    @Excel(name = "完成情况")
    private String completionSituation;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setDateTime(Date dateTime) 
    {
        this.dateTime = dateTime;
    }

    public Date getDateTime() 
    {
        return dateTime;
    }
    public void setOrganization(String organization) 
    {
        this.organization = organization;
    }

    public String getOrganization() 
    {
        return organization;
    }
    public void setContacts(String contacts) 
    {
        this.contacts = contacts;
    }

    public String getContacts() 
    {
        return contacts;
    }
    public void setIssue(String issue) 
    {
        this.issue = issue;
    }

    public String getIssue() 
    {
        return issue;
    }
    public void setSolution(String solution) 
    {
        this.solution = solution;
    }

    public String getSolution() 
    {
        return solution;
    }
    public void setResponsibleOrganization(String responsibleOrganization) 
    {
        this.responsibleOrganization = responsibleOrganization;
    }

    public String getResponsibleOrganization() 
    {
        return responsibleOrganization;
    }
    public void setPrincipal(String principal) 
    {
        this.principal = principal;
    }

    public String getPrincipal() 
    {
        return principal;
    }
    public void setResolutionTimeLimit(String resolutionTimeLimit) 
    {
        this.resolutionTimeLimit = resolutionTimeLimit;
    }

    public String getResolutionTimeLimit() 
    {
        return resolutionTimeLimit;
    }
    public void setCompletionSituation(String completionSituation) 
    {
        this.completionSituation = completionSituation;
    }

    public String getCompletionSituation() 
    {
        return completionSituation;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("dateTime", getDateTime())
            .append("organization", getOrganization())
            .append("contacts", getContacts())
            .append("issue", getIssue())
            .append("solution", getSolution())
            .append("responsibleOrganization", getResponsibleOrganization())
            .append("principal", getPrincipal())
            .append("resolutionTimeLimit", getResolutionTimeLimit())
            .append("completionSituation", getCompletionSituation())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
