package com.amms.system.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.amms.common.annotation.Excel;
import com.amms.common.core.domain.BaseEntity;

/**
 * 工作计划一本账对象 t_work_plan
 * 
 * @author ruoyi
 * @date 2023-12-09
 */
public class TWorkPlan extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 编号 */
    private Long id;

    /** 工作记录 */
    @Excel(name = "工作记录")
    private String wordPlan;

    /** 计划完成时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "计划完成时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date plannedCompletionTime;

    /** 存在问题 */
    @Excel(name = "存在问题")
    private String existingProblem;

    /** 对策措施 */
    @Excel(name = "对策措施")
    private String countermeasure;

    /** 解决时限 */
    @Excel(name = "解决时限")
    private String resolutionTimeLimit;

    /** 责任单位 */
    @Excel(name = "责任单位")
    private String responsibleOrganization;

    /** 责任人 */
    @Excel(name = "责任人")
    private String principal;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setWordPlan(String wordPlan) 
    {
        this.wordPlan = wordPlan;
    }

    public String getWordPlan() 
    {
        return wordPlan;
    }
    public void setPlannedCompletionTime(Date plannedCompletionTime) 
    {
        this.plannedCompletionTime = plannedCompletionTime;
    }

    public Date getPlannedCompletionTime() 
    {
        return plannedCompletionTime;
    }
    public void setExistingProblem(String existingProblem) 
    {
        this.existingProblem = existingProblem;
    }

    public String getExistingProblem() 
    {
        return existingProblem;
    }
    public void setCountermeasure(String countermeasure) 
    {
        this.countermeasure = countermeasure;
    }

    public String getCountermeasure() 
    {
        return countermeasure;
    }
    public void setResolutionTimeLimit(String resolutionTimeLimit) 
    {
        this.resolutionTimeLimit = resolutionTimeLimit;
    }

    public String getResolutionTimeLimit() 
    {
        return resolutionTimeLimit;
    }
    public void setResponsibleOrganization(String responsibleOrganization) 
    {
        this.responsibleOrganization = responsibleOrganization;
    }

    public String getResponsibleOrganization() 
    {
        return responsibleOrganization;
    }
    public void setPrincipal(String principal) 
    {
        this.principal = principal;
    }

    public String getPrincipal() 
    {
        return principal;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("wordPlan", getWordPlan())
            .append("plannedCompletionTime", getPlannedCompletionTime())
            .append("existingProblem", getExistingProblem())
            .append("countermeasure", getCountermeasure())
            .append("resolutionTimeLimit", getResolutionTimeLimit())
            .append("responsibleOrganization", getResponsibleOrganization())
            .append("principal", getPrincipal())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
