package com.amms.system.mapper;

import java.util.List;
import com.amms.system.domain.TAircraftFailure;

/**
 * 飞机故障及缺陷管理Mapper接口
 * 
 * @author ruoyi
 * @date 2023-12-12
 */
public interface TAircraftFailureMapper 
{
    /**
     * 查询飞机故障及缺陷管理
     * 
     * @param id 飞机故障及缺陷管理主键
     * @return 飞机故障及缺陷管理
     */
    public TAircraftFailure selectTAircraftFailureById(Long id);

    /**
     * 查询飞机故障及缺陷管理列表
     * 
     * @param tAircraftFailure 飞机故障及缺陷管理
     * @return 飞机故障及缺陷管理集合
     */
    public List<TAircraftFailure> selectTAircraftFailureList(TAircraftFailure tAircraftFailure);

    /**
     * 新增飞机故障及缺陷管理
     * 
     * @param tAircraftFailure 飞机故障及缺陷管理
     * @return 结果
     */
    public int insertTAircraftFailure(TAircraftFailure tAircraftFailure);

    /**
     * 修改飞机故障及缺陷管理
     * 
     * @param tAircraftFailure 飞机故障及缺陷管理
     * @return 结果
     */
    public int updateTAircraftFailure(TAircraftFailure tAircraftFailure);

    /**
     * 删除飞机故障及缺陷管理
     * 
     * @param id 飞机故障及缺陷管理主键
     * @return 结果
     */
    public int deleteTAircraftFailureById(Long id);

    /**
     * 批量删除飞机故障及缺陷管理
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTAircraftFailureByIds(Long[] ids);
}
