package com.amms.system.mapper;

import java.util.List;
import com.amms.system.domain.TDisclaimerReport;

/**
 * 免责报告Mapper接口
 * 
 * @author ruoyi
 * @date 2023-12-09
 */
public interface TDisclaimerReportMapper 
{
    /**
     * 查询免责报告
     * 
     * @param id 免责报告主键
     * @return 免责报告
     */
    public TDisclaimerReport selectTDisclaimerReportById(Long id);

    /**
     * 查询免责报告列表
     * 
     * @param tDisclaimerReport 免责报告
     * @return 免责报告集合
     */
    public List<TDisclaimerReport> selectTDisclaimerReportList(TDisclaimerReport tDisclaimerReport);

    /**
     * 新增免责报告
     * 
     * @param tDisclaimerReport 免责报告
     * @return 结果
     */
    public int insertTDisclaimerReport(TDisclaimerReport tDisclaimerReport);

    /**
     * 修改免责报告
     * 
     * @param tDisclaimerReport 免责报告
     * @return 结果
     */
    public int updateTDisclaimerReport(TDisclaimerReport tDisclaimerReport);

    /**
     * 删除免责报告
     * 
     * @param id 免责报告主键
     * @return 结果
     */
    public int deleteTDisclaimerReportById(Long id);

    /**
     * 批量删除免责报告
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTDisclaimerReportByIds(Long[] ids);
}
