package com.amms.system.mapper;

import java.util.List;
import com.amms.system.domain.TElectronicDocument;

/**
 * 电子文件管理Mapper接口
 * 
 * @author ruoyi
 * @date 2023-12-12
 */
public interface TElectronicDocumentMapper 
{
    /**
     * 查询电子文件管理
     * 
     * @param id 电子文件管理主键
     * @return 电子文件管理
     */
    public TElectronicDocument selectTElectronicDocumentById(Long id);

    /**
     * 查询电子文件管理列表
     * 
     * @param tElectronicDocument 电子文件管理
     * @return 电子文件管理集合
     */
    public List<TElectronicDocument> selectTElectronicDocumentList(TElectronicDocument tElectronicDocument);

    /**
     * 新增电子文件管理
     * 
     * @param tElectronicDocument 电子文件管理
     * @return 结果
     */
    public int insertTElectronicDocument(TElectronicDocument tElectronicDocument);

    /**
     * 修改电子文件管理
     * 
     * @param tElectronicDocument 电子文件管理
     * @return 结果
     */
    public int updateTElectronicDocument(TElectronicDocument tElectronicDocument);

    /**
     * 删除电子文件管理
     * 
     * @param id 电子文件管理主键
     * @return 结果
     */
    public int deleteTElectronicDocumentById(Long id);

    /**
     * 批量删除电子文件管理
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTElectronicDocumentByIds(Long[] ids);
}
