package com.amms.system.mapper;

import java.util.List;
import com.amms.system.domain.TSafetyInspection;

/**
 * 安全检查信息Mapper接口
 * 
 * @author ruoyi
 * @date 2023-12-09
 */
public interface TSafetyInspectionMapper 
{
    /**
     * 查询安全检查信息
     * 
     * @param id 安全检查信息主键
     * @return 安全检查信息
     */
    public TSafetyInspection selectTSafetyInspectionById(Long id);

    /**
     * 查询安全检查信息列表
     * 
     * @param tSafetyInspection 安全检查信息
     * @return 安全检查信息集合
     */
    public List<TSafetyInspection> selectTSafetyInspectionList(TSafetyInspection tSafetyInspection);

    /**
     * 新增安全检查信息
     * 
     * @param tSafetyInspection 安全检查信息
     * @return 结果
     */
    public int insertTSafetyInspection(TSafetyInspection tSafetyInspection);

    /**
     * 修改安全检查信息
     * 
     * @param tSafetyInspection 安全检查信息
     * @return 结果
     */
    public int updateTSafetyInspection(TSafetyInspection tSafetyInspection);

    /**
     * 删除安全检查信息
     * 
     * @param id 安全检查信息主键
     * @return 结果
     */
    public int deleteTSafetyInspectionById(Long id);

    /**
     * 批量删除安全检查信息
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTSafetyInspectionByIds(Long[] ids);
}
