package com.amms.system.mapper;

import java.util.List;
import com.amms.system.domain.TSoftwareVersion;

/**
 * 软件版本管理模块Mapper接口
 * 
 * @author ruoyi
 * @date 2023-12-12
 */
public interface TSoftwareVersionMapper 
{
    /**
     * 查询软件版本管理模块
     * 
     * @param id 软件版本管理模块主键
     * @return 软件版本管理模块
     */
    public TSoftwareVersion selectTSoftwareVersionById(Long id);

    /**
     * 查询软件版本管理模块列表
     * 
     * @param tSoftwareVersion 软件版本管理模块
     * @return 软件版本管理模块集合
     */
    public List<TSoftwareVersion> selectTSoftwareVersionList(TSoftwareVersion tSoftwareVersion);

    /**
     * 新增软件版本管理模块
     * 
     * @param tSoftwareVersion 软件版本管理模块
     * @return 结果
     */
    public int insertTSoftwareVersion(TSoftwareVersion tSoftwareVersion);

    /**
     * 修改软件版本管理模块
     * 
     * @param tSoftwareVersion 软件版本管理模块
     * @return 结果
     */
    public int updateTSoftwareVersion(TSoftwareVersion tSoftwareVersion);

    /**
     * 删除软件版本管理模块
     * 
     * @param id 软件版本管理模块主键
     * @return 结果
     */
    public int deleteTSoftwareVersionById(Long id);

    /**
     * 批量删除软件版本管理模块
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTSoftwareVersionByIds(Long[] ids);
}
