package com.amms.system.service;

import java.util.List;
import com.amms.system.domain.TBriefingFaultInformation;

/**
 * 简报故障信息管理Service接口
 * 
 * @author ruoyi
 * @date 2023-12-12
 */
public interface ITBriefingFaultInformationService 
{
    /**
     * 查询简报故障信息管理
     * 
     * @param id 简报故障信息管理主键
     * @return 简报故障信息管理
     */
    public TBriefingFaultInformation selectTBriefingFaultInformationById(Long id);

    /**
     * 查询简报故障信息管理列表
     * 
     * @param tBriefingFaultInformation 简报故障信息管理
     * @return 简报故障信息管理集合
     */
    public List<TBriefingFaultInformation> selectTBriefingFaultInformationList(TBriefingFaultInformation tBriefingFaultInformation);

    /**
     * 新增简报故障信息管理
     * 
     * @param tBriefingFaultInformation 简报故障信息管理
     * @return 结果
     */
    public int insertTBriefingFaultInformation(TBriefingFaultInformation tBriefingFaultInformation);

    /**
     * 修改简报故障信息管理
     * 
     * @param tBriefingFaultInformation 简报故障信息管理
     * @return 结果
     */
    public int updateTBriefingFaultInformation(TBriefingFaultInformation tBriefingFaultInformation);

    /**
     * 批量删除简报故障信息管理
     * 
     * @param ids 需要删除的简报故障信息管理主键集合
     * @return 结果
     */
    public int deleteTBriefingFaultInformationByIds(Long[] ids);

    /**
     * 删除简报故障信息管理信息
     * 
     * @param id 简报故障信息管理主键
     * @return 结果
     */
    public int deleteTBriefingFaultInformationById(Long id);
}
