package com.amms.system.service;

import java.util.List;
import com.amms.system.domain.TCommandWorkBill;

/**
 * 指令性工作清单管理Service接口
 * 
 * @author ruoyi
 * @date 2023-12-08
 */
public interface ITCommandWorkBillService 
{
    /**
     * 查询指令性工作清单管理
     * 
     * @param id 指令性工作清单管理主键
     * @return 指令性工作清单管理
     */
    public TCommandWorkBill selectTCommandWorkBillById(Long id);

    /**
     * 查询指令性工作清单管理列表
     * 
     * @param tCommandWorkBill 指令性工作清单管理
     * @return 指令性工作清单管理集合
     */
    public List<TCommandWorkBill> selectTCommandWorkBillList(TCommandWorkBill tCommandWorkBill);

    /**
     * 新增指令性工作清单管理
     * 
     * @param tCommandWorkBill 指令性工作清单管理
     * @return 结果
     */
    public int insertTCommandWorkBill(TCommandWorkBill tCommandWorkBill);

    /**
     * 修改指令性工作清单管理
     * 
     * @param tCommandWorkBill 指令性工作清单管理
     * @return 结果
     */
    public int updateTCommandWorkBill(TCommandWorkBill tCommandWorkBill);

    /**
     * 批量删除指令性工作清单管理
     * 
     * @param ids 需要删除的指令性工作清单管理主键集合
     * @return 结果
     */
    public int deleteTCommandWorkBillByIds(Long[] ids);

    /**
     * 删除指令性工作清单管理信息
     * 
     * @param id 指令性工作清单管理主键
     * @return 结果
     */
    public int deleteTCommandWorkBillById(Long id);
}
