package com.amms.system.service;

import java.util.List;
import com.amms.system.domain.TEngineHandover;

/**
 * 发动机交接管理Service接口
 * 
 * @author ruoyi
 * @date 2023-12-12
 */
public interface ITEngineHandoverService 
{
    /**
     * 查询发动机交接管理
     * 
     * @param id 发动机交接管理主键
     * @return 发动机交接管理
     */
    public TEngineHandover selectTEngineHandoverById(Long id);

    /**
     * 查询发动机交接管理列表
     * 
     * @param tEngineHandover 发动机交接管理
     * @return 发动机交接管理集合
     */
    public List<TEngineHandover> selectTEngineHandoverList(TEngineHandover tEngineHandover);

    /**
     * 新增发动机交接管理
     * 
     * @param tEngineHandover 发动机交接管理
     * @return 结果
     */
    public int insertTEngineHandover(TEngineHandover tEngineHandover);

    /**
     * 修改发动机交接管理
     * 
     * @param tEngineHandover 发动机交接管理
     * @return 结果
     */
    public int updateTEngineHandover(TEngineHandover tEngineHandover);

    /**
     * 批量删除发动机交接管理
     * 
     * @param ids 需要删除的发动机交接管理主键集合
     * @return 结果
     */
    public int deleteTEngineHandoverByIds(Long[] ids);

    /**
     * 删除发动机交接管理信息
     * 
     * @param id 发动机交接管理主键
     * @return 结果
     */
    public int deleteTEngineHandoverById(Long id);
}
