package com.amms.system.service;

import java.util.List;
import com.amms.system.domain.TEquipmentQuality;

/**
 * 装备质量一本账Service接口
 * 
 * @author ruoyi
 * @date 2023-12-09
 */
public interface ITEquipmentQualityService 
{
    /**
     * 查询装备质量一本账
     * 
     * @param id 装备质量一本账主键
     * @return 装备质量一本账
     */
    public TEquipmentQuality selectTEquipmentQualityById(Long id);

    /**
     * 查询装备质量一本账列表
     * 
     * @param tEquipmentQuality 装备质量一本账
     * @return 装备质量一本账集合
     */
    public List<TEquipmentQuality> selectTEquipmentQualityList(TEquipmentQuality tEquipmentQuality);

    /**
     * 新增装备质量一本账
     * 
     * @param tEquipmentQuality 装备质量一本账
     * @return 结果
     */
    public int insertTEquipmentQuality(TEquipmentQuality tEquipmentQuality);

    /**
     * 修改装备质量一本账
     * 
     * @param tEquipmentQuality 装备质量一本账
     * @return 结果
     */
    public int updateTEquipmentQuality(TEquipmentQuality tEquipmentQuality);

    /**
     * 批量删除装备质量一本账
     * 
     * @param ids 需要删除的装备质量一本账主键集合
     * @return 结果
     */
    public int deleteTEquipmentQualityByIds(Long[] ids);

    /**
     * 删除装备质量一本账信息
     * 
     * @param id 装备质量一本账主键
     * @return 结果
     */
    public int deleteTEquipmentQualityById(Long id);
}
