package com.amms.system.service;

import java.util.List;
import com.amms.system.domain.TMemorandumManagement;

/**
 * 备忘录管理模块Service接口
 * 
 * @author ruoyi
 * @date 2023-12-12
 */
public interface ITMemorandumManagementService 
{
    /**
     * 查询备忘录管理模块
     * 
     * @param id 备忘录管理模块主键
     * @return 备忘录管理模块
     */
    public TMemorandumManagement selectTMemorandumManagementById(Long id);

    /**
     * 查询备忘录管理模块列表
     * 
     * @param tMemorandumManagement 备忘录管理模块
     * @return 备忘录管理模块集合
     */
    public List<TMemorandumManagement> selectTMemorandumManagementList(TMemorandumManagement tMemorandumManagement);

    /**
     * 新增备忘录管理模块
     * 
     * @param tMemorandumManagement 备忘录管理模块
     * @return 结果
     */
    public int insertTMemorandumManagement(TMemorandumManagement tMemorandumManagement);

    /**
     * 修改备忘录管理模块
     * 
     * @param tMemorandumManagement 备忘录管理模块
     * @return 结果
     */
    public int updateTMemorandumManagement(TMemorandumManagement tMemorandumManagement);

    /**
     * 批量删除备忘录管理模块
     * 
     * @param ids 需要删除的备忘录管理模块主键集合
     * @return 结果
     */
    public int deleteTMemorandumManagementByIds(Long[] ids);

    /**
     * 删除备忘录管理模块信息
     * 
     * @param id 备忘录管理模块主键
     * @return 结果
     */
    public int deleteTMemorandumManagementById(Long id);
}
