package com.amms.system.service;

import java.util.List;
import com.amms.system.domain.TSafetyReward;

/**
 * 安全奖惩信息Service接口
 * 
 * @author ruoyi
 * @date 2023-12-09
 */
public interface ITSafetyRewardService 
{
    /**
     * 查询安全奖惩信息
     * 
     * @param id 安全奖惩信息主键
     * @return 安全奖惩信息
     */
    public TSafetyReward selectTSafetyRewardById(Long id);

    /**
     * 查询安全奖惩信息列表
     * 
     * @param tSafetyReward 安全奖惩信息
     * @return 安全奖惩信息集合
     */
    public List<TSafetyReward> selectTSafetyRewardList(TSafetyReward tSafetyReward);

    /**
     * 新增安全奖惩信息
     * 
     * @param tSafetyReward 安全奖惩信息
     * @return 结果
     */
    public int insertTSafetyReward(TSafetyReward tSafetyReward);

    /**
     * 修改安全奖惩信息
     * 
     * @param tSafetyReward 安全奖惩信息
     * @return 结果
     */
    public int updateTSafetyReward(TSafetyReward tSafetyReward);

    /**
     * 批量删除安全奖惩信息
     * 
     * @param ids 需要删除的安全奖惩信息主键集合
     * @return 结果
     */
    public int deleteTSafetyRewardByIds(Long[] ids);

    /**
     * 删除安全奖惩信息信息
     * 
     * @param id 安全奖惩信息主键
     * @return 结果
     */
    public int deleteTSafetyRewardById(Long id);
}
