package com.amms.system.service;

import java.util.List;
import com.amms.system.domain.TTechnicalBulletin;

/**
 * 技术通报管理模块Service接口
 * 
 * @author ruoyi
 * @date 2023-12-12
 */
public interface ITTechnicalBulletinService 
{
    /**
     * 查询技术通报管理模块
     * 
     * @param id 技术通报管理模块主键
     * @return 技术通报管理模块
     */
    public TTechnicalBulletin selectTTechnicalBulletinById(Long id);

    /**
     * 查询技术通报管理模块列表
     * 
     * @param tTechnicalBulletin 技术通报管理模块
     * @return 技术通报管理模块集合
     */
    public List<TTechnicalBulletin> selectTTechnicalBulletinList(TTechnicalBulletin tTechnicalBulletin);

    /**
     * 新增技术通报管理模块
     * 
     * @param tTechnicalBulletin 技术通报管理模块
     * @return 结果
     */
    public int insertTTechnicalBulletin(TTechnicalBulletin tTechnicalBulletin);

    /**
     * 修改技术通报管理模块
     * 
     * @param tTechnicalBulletin 技术通报管理模块
     * @return 结果
     */
    public int updateTTechnicalBulletin(TTechnicalBulletin tTechnicalBulletin);

    /**
     * 批量删除技术通报管理模块
     * 
     * @param ids 需要删除的技术通报管理模块主键集合
     * @return 结果
     */
    public int deleteTTechnicalBulletinByIds(Long[] ids);

    /**
     * 删除技术通报管理模块信息
     * 
     * @param id 技术通报管理模块主键
     * @return 结果
     */
    public int deleteTTechnicalBulletinById(Long id);
}
