package com.amms.system.service;

import java.util.List;
import com.amms.system.domain.TTechnicalChanges;

/**
 * 技术更改单管理模块Service接口
 * 
 * @author ruoyi
 * @date 2023-12-12
 */
public interface ITTechnicalChangesService 
{
    /**
     * 查询技术更改单管理模块
     * 
     * @param id 技术更改单管理模块主键
     * @return 技术更改单管理模块
     */
    public TTechnicalChanges selectTTechnicalChangesById(Long id);

    /**
     * 查询技术更改单管理模块列表
     * 
     * @param tTechnicalChanges 技术更改单管理模块
     * @return 技术更改单管理模块集合
     */
    public List<TTechnicalChanges> selectTTechnicalChangesList(TTechnicalChanges tTechnicalChanges);

    /**
     * 新增技术更改单管理模块
     * 
     * @param tTechnicalChanges 技术更改单管理模块
     * @return 结果
     */
    public int insertTTechnicalChanges(TTechnicalChanges tTechnicalChanges);

    /**
     * 修改技术更改单管理模块
     * 
     * @param tTechnicalChanges 技术更改单管理模块
     * @return 结果
     */
    public int updateTTechnicalChanges(TTechnicalChanges tTechnicalChanges);

    /**
     * 批量删除技术更改单管理模块
     * 
     * @param ids 需要删除的技术更改单管理模块主键集合
     * @return 结果
     */
    public int deleteTTechnicalChangesByIds(Long[] ids);

    /**
     * 删除技术更改单管理模块信息
     * 
     * @param id 技术更改单管理模块主键
     * @return 结果
     */
    public int deleteTTechnicalChangesById(Long id);
}
