package com.amms.system.service;

import java.util.List;
import com.amms.system.domain.TTechnicalData;

/**
 * 技术资料管理Service接口
 * 
 * @author ruoyi
 * @date 2023-12-12
 */
public interface ITTechnicalDataService 
{
    /**
     * 查询技术资料管理
     * 
     * @param id 技术资料管理主键
     * @return 技术资料管理
     */
    public TTechnicalData selectTTechnicalDataById(Long id);

    /**
     * 查询技术资料管理列表
     * 
     * @param tTechnicalData 技术资料管理
     * @return 技术资料管理集合
     */
    public List<TTechnicalData> selectTTechnicalDataList(TTechnicalData tTechnicalData);

    /**
     * 新增技术资料管理
     * 
     * @param tTechnicalData 技术资料管理
     * @return 结果
     */
    public int insertTTechnicalData(TTechnicalData tTechnicalData);

    /**
     * 修改技术资料管理
     * 
     * @param tTechnicalData 技术资料管理
     * @return 结果
     */
    public int updateTTechnicalData(TTechnicalData tTechnicalData);

    /**
     * 批量删除技术资料管理
     * 
     * @param ids 需要删除的技术资料管理主键集合
     * @return 结果
     */
    public int deleteTTechnicalDataByIds(Long[] ids);

    /**
     * 删除技术资料管理信息
     * 
     * @param id 技术资料管理主键
     * @return 结果
     */
    public int deleteTTechnicalDataById(Long id);
}
