package com.amms.system.service;

import java.util.List;
import com.amms.system.domain.TTodayInHistory;

/**
 * 历史上的今天Service接口
 * 
 * @author ruoyi
 * @date 2023-12-09
 */
public interface ITTodayInHistoryService 
{
    /**
     * 查询历史上的今天
     * 
     * @param id 历史上的今天主键
     * @return 历史上的今天
     */
    public TTodayInHistory selectTTodayInHistoryById(Long id);

    /**
     * 查询历史上的今天列表
     * 
     * @param tTodayInHistory 历史上的今天
     * @return 历史上的今天集合
     */
    public List<TTodayInHistory> selectTTodayInHistoryList(TTodayInHistory tTodayInHistory);

    /**
     * 新增历史上的今天
     * 
     * @param tTodayInHistory 历史上的今天
     * @return 结果
     */
    public int insertTTodayInHistory(TTodayInHistory tTodayInHistory);

    /**
     * 修改历史上的今天
     * 
     * @param tTodayInHistory 历史上的今天
     * @return 结果
     */
    public int updateTTodayInHistory(TTodayInHistory tTodayInHistory);

    /**
     * 批量删除历史上的今天
     * 
     * @param ids 需要删除的历史上的今天主键集合
     * @return 结果
     */
    public int deleteTTodayInHistoryByIds(Long[] ids);

    /**
     * 删除历史上的今天信息
     * 
     * @param id 历史上的今天主键
     * @return 结果
     */
    public int deleteTTodayInHistoryById(Long id);
}
