package com.amms.system.service;

import java.util.List;
import com.amms.system.domain.TTrainingManagement;

/**
 * 人员训练技术档案管理Service接口
 * 
 * @author ruoyi
 * @date 2023-12-09
 */
public interface ITTrainingManagementService 
{
    /**
     * 查询人员训练技术档案管理
     * 
     * @param id 人员训练技术档案管理主键
     * @return 人员训练技术档案管理
     */
    public TTrainingManagement selectTTrainingManagementById(Long id);

    /**
     * 查询人员训练技术档案管理列表
     * 
     * @param tTrainingManagement 人员训练技术档案管理
     * @return 人员训练技术档案管理集合
     */
    public List<TTrainingManagement> selectTTrainingManagementList(TTrainingManagement tTrainingManagement);

    /**
     * 新增人员训练技术档案管理
     * 
     * @param tTrainingManagement 人员训练技术档案管理
     * @return 结果
     */
    public int insertTTrainingManagement(TTrainingManagement tTrainingManagement);

    /**
     * 修改人员训练技术档案管理
     * 
     * @param tTrainingManagement 人员训练技术档案管理
     * @return 结果
     */
    public int updateTTrainingManagement(TTrainingManagement tTrainingManagement);

    /**
     * 批量删除人员训练技术档案管理
     * 
     * @param ids 需要删除的人员训练技术档案管理主键集合
     * @return 结果
     */
    public int deleteTTrainingManagementByIds(Long[] ids);

    /**
     * 删除人员训练技术档案管理信息
     * 
     * @param id 人员训练技术档案管理主键
     * @return 结果
     */
    public int deleteTTrainingManagementById(Long id);
}
