package com.amms.system.service;

import java.util.List;
import com.amms.system.domain.TWorkPlan;

/**
 * 工作计划一本账Service接口
 * 
 * @author ruoyi
 * @date 2023-12-09
 */
public interface ITWorkPlanService 
{
    /**
     * 查询工作计划一本账
     * 
     * @param id 工作计划一本账主键
     * @return 工作计划一本账
     */
    public TWorkPlan selectTWorkPlanById(Long id);

    /**
     * 查询工作计划一本账列表
     * 
     * @param tWorkPlan 工作计划一本账
     * @return 工作计划一本账集合
     */
    public List<TWorkPlan> selectTWorkPlanList(TWorkPlan tWorkPlan);

    /**
     * 新增工作计划一本账
     * 
     * @param tWorkPlan 工作计划一本账
     * @return 结果
     */
    public int insertTWorkPlan(TWorkPlan tWorkPlan);

    /**
     * 修改工作计划一本账
     * 
     * @param tWorkPlan 工作计划一本账
     * @return 结果
     */
    public int updateTWorkPlan(TWorkPlan tWorkPlan);

    /**
     * 批量删除工作计划一本账
     * 
     * @param ids 需要删除的工作计划一本账主键集合
     * @return 结果
     */
    public int deleteTWorkPlanByIds(Long[] ids);

    /**
     * 删除工作计划一本账信息
     * 
     * @param id 工作计划一本账主键
     * @return 结果
     */
    public int deleteTWorkPlanById(Long id);
}
