package com.amms.system.service.impl;

import java.util.List;
import com.amms.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.amms.system.mapper.TAircraftFailureMapper;
import com.amms.system.domain.TAircraftFailure;
import com.amms.system.service.ITAircraftFailureService;

/**
 * 飞机故障及缺陷管理Service业务层处理
 * 
 * @author ruoyi
 * @date 2023-12-12
 */
@Service
public class TAircraftFailureServiceImpl implements ITAircraftFailureService 
{
    @Autowired
    private TAircraftFailureMapper tAircraftFailureMapper;

    /**
     * 查询飞机故障及缺陷管理
     * 
     * @param id 飞机故障及缺陷管理主键
     * @return 飞机故障及缺陷管理
     */
    @Override
    public TAircraftFailure selectTAircraftFailureById(Long id)
    {
        return tAircraftFailureMapper.selectTAircraftFailureById(id);
    }

    /**
     * 查询飞机故障及缺陷管理列表
     * 
     * @param tAircraftFailure 飞机故障及缺陷管理
     * @return 飞机故障及缺陷管理
     */
    @Override
    public List<TAircraftFailure> selectTAircraftFailureList(TAircraftFailure tAircraftFailure)
    {
        return tAircraftFailureMapper.selectTAircraftFailureList(tAircraftFailure);
    }

    /**
     * 新增飞机故障及缺陷管理
     * 
     * @param tAircraftFailure 飞机故障及缺陷管理
     * @return 结果
     */
    @Override
    public int insertTAircraftFailure(TAircraftFailure tAircraftFailure)
    {
        tAircraftFailure.setCreateTime(DateUtils.getNowDate());
        return tAircraftFailureMapper.insertTAircraftFailure(tAircraftFailure);
    }

    /**
     * 修改飞机故障及缺陷管理
     * 
     * @param tAircraftFailure 飞机故障及缺陷管理
     * @return 结果
     */
    @Override
    public int updateTAircraftFailure(TAircraftFailure tAircraftFailure)
    {
        tAircraftFailure.setUpdateTime(DateUtils.getNowDate());
        return tAircraftFailureMapper.updateTAircraftFailure(tAircraftFailure);
    }

    /**
     * 批量删除飞机故障及缺陷管理
     * 
     * @param ids 需要删除的飞机故障及缺陷管理主键
     * @return 结果
     */
    @Override
    public int deleteTAircraftFailureByIds(Long[] ids)
    {
        return tAircraftFailureMapper.deleteTAircraftFailureByIds(ids);
    }

    /**
     * 删除飞机故障及缺陷管理信息
     * 
     * @param id 飞机故障及缺陷管理主键
     * @return 结果
     */
    @Override
    public int deleteTAircraftFailureById(Long id)
    {
        return tAircraftFailureMapper.deleteTAircraftFailureById(id);
    }
}
