package com.amms.system.service.impl;

import java.util.List;
import com.amms.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.amms.system.mapper.TAssessmentResultMapper;
import com.amms.system.domain.TAssessmentResult;
import com.amms.system.service.ITAssessmentResultService;

/**
 * 考核结果管理Service业务层处理
 * 
 * @author ruoyi
 * @date 2023-12-09
 */
@Service
public class TAssessmentResultServiceImpl implements ITAssessmentResultService 
{
    @Autowired
    private TAssessmentResultMapper tAssessmentResultMapper;

    /**
     * 查询考核结果管理
     * 
     * @param id 考核结果管理主键
     * @return 考核结果管理
     */
    @Override
    public TAssessmentResult selectTAssessmentResultById(Long id)
    {
        return tAssessmentResultMapper.selectTAssessmentResultById(id);
    }

    /**
     * 查询考核结果管理列表
     * 
     * @param tAssessmentResult 考核结果管理
     * @return 考核结果管理
     */
    @Override
    public List<TAssessmentResult> selectTAssessmentResultList(TAssessmentResult tAssessmentResult)
    {
        return tAssessmentResultMapper.selectTAssessmentResultList(tAssessmentResult);
    }

    /**
     * 新增考核结果管理
     * 
     * @param tAssessmentResult 考核结果管理
     * @return 结果
     */
    @Override
    public int insertTAssessmentResult(TAssessmentResult tAssessmentResult)
    {
        tAssessmentResult.setCreateTime(DateUtils.getNowDate());
        return tAssessmentResultMapper.insertTAssessmentResult(tAssessmentResult);
    }

    /**
     * 修改考核结果管理
     * 
     * @param tAssessmentResult 考核结果管理
     * @return 结果
     */
    @Override
    public int updateTAssessmentResult(TAssessmentResult tAssessmentResult)
    {
        tAssessmentResult.setUpdateTime(DateUtils.getNowDate());
        return tAssessmentResultMapper.updateTAssessmentResult(tAssessmentResult);
    }

    /**
     * 批量删除考核结果管理
     * 
     * @param ids 需要删除的考核结果管理主键
     * @return 结果
     */
    @Override
    public int deleteTAssessmentResultByIds(Long[] ids)
    {
        return tAssessmentResultMapper.deleteTAssessmentResultByIds(ids);
    }

    /**
     * 删除考核结果管理信息
     * 
     * @param id 考核结果管理主键
     * @return 结果
     */
    @Override
    public int deleteTAssessmentResultById(Long id)
    {
        return tAssessmentResultMapper.deleteTAssessmentResultById(id);
    }
}
