package com.amms.system.service.impl;

import java.util.List;
import com.amms.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.amms.system.mapper.TBriefingFaultInformationMapper;
import com.amms.system.domain.TBriefingFaultInformation;
import com.amms.system.service.ITBriefingFaultInformationService;

/**
 * 简报故障信息管理Service业务层处理
 * 
 * @author ruoyi
 * @date 2023-12-12
 */
@Service
public class TBriefingFaultInformationServiceImpl implements ITBriefingFaultInformationService 
{
    @Autowired
    private TBriefingFaultInformationMapper tBriefingFaultInformationMapper;

    /**
     * 查询简报故障信息管理
     * 
     * @param id 简报故障信息管理主键
     * @return 简报故障信息管理
     */
    @Override
    public TBriefingFaultInformation selectTBriefingFaultInformationById(Long id)
    {
        return tBriefingFaultInformationMapper.selectTBriefingFaultInformationById(id);
    }

    /**
     * 查询简报故障信息管理列表
     * 
     * @param tBriefingFaultInformation 简报故障信息管理
     * @return 简报故障信息管理
     */
    @Override
    public List<TBriefingFaultInformation> selectTBriefingFaultInformationList(TBriefingFaultInformation tBriefingFaultInformation)
    {
        return tBriefingFaultInformationMapper.selectTBriefingFaultInformationList(tBriefingFaultInformation);
    }

    /**
     * 新增简报故障信息管理
     * 
     * @param tBriefingFaultInformation 简报故障信息管理
     * @return 结果
     */
    @Override
    public int insertTBriefingFaultInformation(TBriefingFaultInformation tBriefingFaultInformation)
    {
        tBriefingFaultInformation.setCreateTime(DateUtils.getNowDate());
        return tBriefingFaultInformationMapper.insertTBriefingFaultInformation(tBriefingFaultInformation);
    }

    /**
     * 修改简报故障信息管理
     * 
     * @param tBriefingFaultInformation 简报故障信息管理
     * @return 结果
     */
    @Override
    public int updateTBriefingFaultInformation(TBriefingFaultInformation tBriefingFaultInformation)
    {
        tBriefingFaultInformation.setUpdateTime(DateUtils.getNowDate());
        return tBriefingFaultInformationMapper.updateTBriefingFaultInformation(tBriefingFaultInformation);
    }

    /**
     * 批量删除简报故障信息管理
     * 
     * @param ids 需要删除的简报故障信息管理主键
     * @return 结果
     */
    @Override
    public int deleteTBriefingFaultInformationByIds(Long[] ids)
    {
        return tBriefingFaultInformationMapper.deleteTBriefingFaultInformationByIds(ids);
    }

    /**
     * 删除简报故障信息管理信息
     * 
     * @param id 简报故障信息管理主键
     * @return 结果
     */
    @Override
    public int deleteTBriefingFaultInformationById(Long id)
    {
        return tBriefingFaultInformationMapper.deleteTBriefingFaultInformationById(id);
    }
}
