package com.amms.system.service.impl;

import java.util.List;
import com.amms.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.amms.system.mapper.TCommandWorkBillMapper;
import com.amms.system.domain.TCommandWorkBill;
import com.amms.system.service.ITCommandWorkBillService;

/**
 * 指令性工作清单管理Service业务层处理
 * 
 * @author ruoyi
 * @date 2023-12-08
 */
@Service
public class TCommandWorkBillServiceImpl implements ITCommandWorkBillService 
{
    @Autowired
    private TCommandWorkBillMapper tCommandWorkBillMapper;

    /**
     * 查询指令性工作清单管理
     * 
     * @param id 指令性工作清单管理主键
     * @return 指令性工作清单管理
     */
    @Override
    public TCommandWorkBill selectTCommandWorkBillById(Long id)
    {
        return tCommandWorkBillMapper.selectTCommandWorkBillById(id);
    }

    /**
     * 查询指令性工作清单管理列表
     * 
     * @param tCommandWorkBill 指令性工作清单管理
     * @return 指令性工作清单管理
     */
    @Override
    public List<TCommandWorkBill> selectTCommandWorkBillList(TCommandWorkBill tCommandWorkBill)
    {
        return tCommandWorkBillMapper.selectTCommandWorkBillList(tCommandWorkBill);
    }

    /**
     * 新增指令性工作清单管理
     * 
     * @param tCommandWorkBill 指令性工作清单管理
     * @return 结果
     */
    @Override
    public int insertTCommandWorkBill(TCommandWorkBill tCommandWorkBill)
    {
        tCommandWorkBill.setCreateTime(DateUtils.getNowDate());
        return tCommandWorkBillMapper.insertTCommandWorkBill(tCommandWorkBill);
    }

    /**
     * 修改指令性工作清单管理
     * 
     * @param tCommandWorkBill 指令性工作清单管理
     * @return 结果
     */
    @Override
    public int updateTCommandWorkBill(TCommandWorkBill tCommandWorkBill)
    {
        tCommandWorkBill.setUpdateTime(DateUtils.getNowDate());
        return tCommandWorkBillMapper.updateTCommandWorkBill(tCommandWorkBill);
    }

    /**
     * 批量删除指令性工作清单管理
     * 
     * @param ids 需要删除的指令性工作清单管理主键
     * @return 结果
     */
    @Override
    public int deleteTCommandWorkBillByIds(Long[] ids)
    {
        return tCommandWorkBillMapper.deleteTCommandWorkBillByIds(ids);
    }

    /**
     * 删除指令性工作清单管理信息
     * 
     * @param id 指令性工作清单管理主键
     * @return 结果
     */
    @Override
    public int deleteTCommandWorkBillById(Long id)
    {
        return tCommandWorkBillMapper.deleteTCommandWorkBillById(id);
    }
}
