package com.amms.system.service.impl;

import java.util.List;
import com.amms.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.amms.system.mapper.TDisclaimerReportMapper;
import com.amms.system.domain.TDisclaimerReport;
import com.amms.system.service.ITDisclaimerReportService;

/**
 * 免责报告Service业务层处理
 * 
 * @author ruoyi
 * @date 2023-12-09
 */
@Service
public class TDisclaimerReportServiceImpl implements ITDisclaimerReportService 
{
    @Autowired
    private TDisclaimerReportMapper tDisclaimerReportMapper;

    /**
     * 查询免责报告
     * 
     * @param id 免责报告主键
     * @return 免责报告
     */
    @Override
    public TDisclaimerReport selectTDisclaimerReportById(Long id)
    {
        return tDisclaimerReportMapper.selectTDisclaimerReportById(id);
    }

    /**
     * 查询免责报告列表
     * 
     * @param tDisclaimerReport 免责报告
     * @return 免责报告
     */
    @Override
    public List<TDisclaimerReport> selectTDisclaimerReportList(TDisclaimerReport tDisclaimerReport)
    {
        return tDisclaimerReportMapper.selectTDisclaimerReportList(tDisclaimerReport);
    }

    /**
     * 新增免责报告
     * 
     * @param tDisclaimerReport 免责报告
     * @return 结果
     */
    @Override
    public int insertTDisclaimerReport(TDisclaimerReport tDisclaimerReport)
    {
        tDisclaimerReport.setCreateTime(DateUtils.getNowDate());
        return tDisclaimerReportMapper.insertTDisclaimerReport(tDisclaimerReport);
    }

    /**
     * 修改免责报告
     * 
     * @param tDisclaimerReport 免责报告
     * @return 结果
     */
    @Override
    public int updateTDisclaimerReport(TDisclaimerReport tDisclaimerReport)
    {
        tDisclaimerReport.setUpdateTime(DateUtils.getNowDate());
        return tDisclaimerReportMapper.updateTDisclaimerReport(tDisclaimerReport);
    }

    /**
     * 批量删除免责报告
     * 
     * @param ids 需要删除的免责报告主键
     * @return 结果
     */
    @Override
    public int deleteTDisclaimerReportByIds(Long[] ids)
    {
        return tDisclaimerReportMapper.deleteTDisclaimerReportByIds(ids);
    }

    /**
     * 删除免责报告信息
     * 
     * @param id 免责报告主键
     * @return 结果
     */
    @Override
    public int deleteTDisclaimerReportById(Long id)
    {
        return tDisclaimerReportMapper.deleteTDisclaimerReportById(id);
    }
}
