package com.amms.system.service.impl;

import java.util.List;
import com.amms.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.amms.system.mapper.TElectronicDocumentMapper;
import com.amms.system.domain.TElectronicDocument;
import com.amms.system.service.ITElectronicDocumentService;

/**
 * 电子文件管理Service业务层处理
 * 
 * @author ruoyi
 * @date 2023-12-12
 */
@Service
public class TElectronicDocumentServiceImpl implements ITElectronicDocumentService 
{
    @Autowired
    private TElectronicDocumentMapper tElectronicDocumentMapper;

    /**
     * 查询电子文件管理
     * 
     * @param id 电子文件管理主键
     * @return 电子文件管理
     */
    @Override
    public TElectronicDocument selectTElectronicDocumentById(Long id)
    {
        return tElectronicDocumentMapper.selectTElectronicDocumentById(id);
    }

    /**
     * 查询电子文件管理列表
     * 
     * @param tElectronicDocument 电子文件管理
     * @return 电子文件管理
     */
    @Override
    public List<TElectronicDocument> selectTElectronicDocumentList(TElectronicDocument tElectronicDocument)
    {
        return tElectronicDocumentMapper.selectTElectronicDocumentList(tElectronicDocument);
    }

    /**
     * 新增电子文件管理
     * 
     * @param tElectronicDocument 电子文件管理
     * @return 结果
     */
    @Override
    public int insertTElectronicDocument(TElectronicDocument tElectronicDocument)
    {
        tElectronicDocument.setCreateTime(DateUtils.getNowDate());
        return tElectronicDocumentMapper.insertTElectronicDocument(tElectronicDocument);
    }

    /**
     * 修改电子文件管理
     * 
     * @param tElectronicDocument 电子文件管理
     * @return 结果
     */
    @Override
    public int updateTElectronicDocument(TElectronicDocument tElectronicDocument)
    {
        tElectronicDocument.setUpdateTime(DateUtils.getNowDate());
        return tElectronicDocumentMapper.updateTElectronicDocument(tElectronicDocument);
    }

    /**
     * 批量删除电子文件管理
     * 
     * @param ids 需要删除的电子文件管理主键
     * @return 结果
     */
    @Override
    public int deleteTElectronicDocumentByIds(Long[] ids)
    {
        return tElectronicDocumentMapper.deleteTElectronicDocumentByIds(ids);
    }

    /**
     * 删除电子文件管理信息
     * 
     * @param id 电子文件管理主键
     * @return 结果
     */
    @Override
    public int deleteTElectronicDocumentById(Long id)
    {
        return tElectronicDocumentMapper.deleteTElectronicDocumentById(id);
    }
}
