package com.amms.system.service.impl;

import java.util.List;
import com.amms.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.amms.system.mapper.TEngineHandoverMapper;
import com.amms.system.domain.TEngineHandover;
import com.amms.system.service.ITEngineHandoverService;

/**
 * 发动机交接管理Service业务层处理
 * 
 * @author ruoyi
 * @date 2023-12-12
 */
@Service
public class TEngineHandoverServiceImpl implements ITEngineHandoverService 
{
    @Autowired
    private TEngineHandoverMapper tEngineHandoverMapper;

    /**
     * 查询发动机交接管理
     * 
     * @param id 发动机交接管理主键
     * @return 发动机交接管理
     */
    @Override
    public TEngineHandover selectTEngineHandoverById(Long id)
    {
        return tEngineHandoverMapper.selectTEngineHandoverById(id);
    }

    /**
     * 查询发动机交接管理列表
     * 
     * @param tEngineHandover 发动机交接管理
     * @return 发动机交接管理
     */
    @Override
    public List<TEngineHandover> selectTEngineHandoverList(TEngineHandover tEngineHandover)
    {
        return tEngineHandoverMapper.selectTEngineHandoverList(tEngineHandover);
    }

    /**
     * 新增发动机交接管理
     * 
     * @param tEngineHandover 发动机交接管理
     * @return 结果
     */
    @Override
    public int insertTEngineHandover(TEngineHandover tEngineHandover)
    {
        tEngineHandover.setCreateTime(DateUtils.getNowDate());
        return tEngineHandoverMapper.insertTEngineHandover(tEngineHandover);
    }

    /**
     * 修改发动机交接管理
     * 
     * @param tEngineHandover 发动机交接管理
     * @return 结果
     */
    @Override
    public int updateTEngineHandover(TEngineHandover tEngineHandover)
    {
        tEngineHandover.setUpdateTime(DateUtils.getNowDate());
        return tEngineHandoverMapper.updateTEngineHandover(tEngineHandover);
    }

    /**
     * 批量删除发动机交接管理
     * 
     * @param ids 需要删除的发动机交接管理主键
     * @return 结果
     */
    @Override
    public int deleteTEngineHandoverByIds(Long[] ids)
    {
        return tEngineHandoverMapper.deleteTEngineHandoverByIds(ids);
    }

    /**
     * 删除发动机交接管理信息
     * 
     * @param id 发动机交接管理主键
     * @return 结果
     */
    @Override
    public int deleteTEngineHandoverById(Long id)
    {
        return tEngineHandoverMapper.deleteTEngineHandoverById(id);
    }
}
