package com.amms.system.service.impl;

import java.util.List;
import com.amms.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.amms.system.mapper.TEquipmentQualityMapper;
import com.amms.system.domain.TEquipmentQuality;
import com.amms.system.service.ITEquipmentQualityService;

/**
 * 装备质量一本账Service业务层处理
 * 
 * @author ruoyi
 * @date 2023-12-09
 */
@Service
public class TEquipmentQualityServiceImpl implements ITEquipmentQualityService 
{
    @Autowired
    private TEquipmentQualityMapper tEquipmentQualityMapper;

    /**
     * 查询装备质量一本账
     * 
     * @param id 装备质量一本账主键
     * @return 装备质量一本账
     */
    @Override
    public TEquipmentQuality selectTEquipmentQualityById(Long id)
    {
        return tEquipmentQualityMapper.selectTEquipmentQualityById(id);
    }

    /**
     * 查询装备质量一本账列表
     * 
     * @param tEquipmentQuality 装备质量一本账
     * @return 装备质量一本账
     */
    @Override
    public List<TEquipmentQuality> selectTEquipmentQualityList(TEquipmentQuality tEquipmentQuality)
    {
        return tEquipmentQualityMapper.selectTEquipmentQualityList(tEquipmentQuality);
    }

    /**
     * 新增装备质量一本账
     * 
     * @param tEquipmentQuality 装备质量一本账
     * @return 结果
     */
    @Override
    public int insertTEquipmentQuality(TEquipmentQuality tEquipmentQuality)
    {
        tEquipmentQuality.setCreateTime(DateUtils.getNowDate());
        return tEquipmentQualityMapper.insertTEquipmentQuality(tEquipmentQuality);
    }

    /**
     * 修改装备质量一本账
     * 
     * @param tEquipmentQuality 装备质量一本账
     * @return 结果
     */
    @Override
    public int updateTEquipmentQuality(TEquipmentQuality tEquipmentQuality)
    {
        tEquipmentQuality.setUpdateTime(DateUtils.getNowDate());
        return tEquipmentQualityMapper.updateTEquipmentQuality(tEquipmentQuality);
    }

    /**
     * 批量删除装备质量一本账
     * 
     * @param ids 需要删除的装备质量一本账主键
     * @return 结果
     */
    @Override
    public int deleteTEquipmentQualityByIds(Long[] ids)
    {
        return tEquipmentQualityMapper.deleteTEquipmentQualityByIds(ids);
    }

    /**
     * 删除装备质量一本账信息
     * 
     * @param id 装备质量一本账主键
     * @return 结果
     */
    @Override
    public int deleteTEquipmentQualityById(Long id)
    {
        return tEquipmentQualityMapper.deleteTEquipmentQualityById(id);
    }
}
