package com.amms.system.service.impl;

import java.util.List;
import com.amms.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.amms.system.mapper.TMemorandumManagementMapper;
import com.amms.system.domain.TMemorandumManagement;
import com.amms.system.service.ITMemorandumManagementService;

/**
 * 备忘录管理模块Service业务层处理
 * 
 * @author ruoyi
 * @date 2023-12-12
 */
@Service
public class TMemorandumManagementServiceImpl implements ITMemorandumManagementService 
{
    @Autowired
    private TMemorandumManagementMapper tMemorandumManagementMapper;

    /**
     * 查询备忘录管理模块
     * 
     * @param id 备忘录管理模块主键
     * @return 备忘录管理模块
     */
    @Override
    public TMemorandumManagement selectTMemorandumManagementById(Long id)
    {
        return tMemorandumManagementMapper.selectTMemorandumManagementById(id);
    }

    /**
     * 查询备忘录管理模块列表
     * 
     * @param tMemorandumManagement 备忘录管理模块
     * @return 备忘录管理模块
     */
    @Override
    public List<TMemorandumManagement> selectTMemorandumManagementList(TMemorandumManagement tMemorandumManagement)
    {
        return tMemorandumManagementMapper.selectTMemorandumManagementList(tMemorandumManagement);
    }

    /**
     * 新增备忘录管理模块
     * 
     * @param tMemorandumManagement 备忘录管理模块
     * @return 结果
     */
    @Override
    public int insertTMemorandumManagement(TMemorandumManagement tMemorandumManagement)
    {
        tMemorandumManagement.setCreateTime(DateUtils.getNowDate());
        return tMemorandumManagementMapper.insertTMemorandumManagement(tMemorandumManagement);
    }

    /**
     * 修改备忘录管理模块
     * 
     * @param tMemorandumManagement 备忘录管理模块
     * @return 结果
     */
    @Override
    public int updateTMemorandumManagement(TMemorandumManagement tMemorandumManagement)
    {
        tMemorandumManagement.setUpdateTime(DateUtils.getNowDate());
        return tMemorandumManagementMapper.updateTMemorandumManagement(tMemorandumManagement);
    }

    /**
     * 批量删除备忘录管理模块
     * 
     * @param ids 需要删除的备忘录管理模块主键
     * @return 结果
     */
    @Override
    public int deleteTMemorandumManagementByIds(Long[] ids)
    {
        return tMemorandumManagementMapper.deleteTMemorandumManagementByIds(ids);
    }

    /**
     * 删除备忘录管理模块信息
     * 
     * @param id 备忘录管理模块主键
     * @return 结果
     */
    @Override
    public int deleteTMemorandumManagementById(Long id)
    {
        return tMemorandumManagementMapper.deleteTMemorandumManagementById(id);
    }
}
