package com.amms.system.service.impl;

import java.util.List;
import com.amms.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.amms.system.mapper.TPrepareWarMapper;
import com.amms.system.domain.TPrepareWar;
import com.amms.system.service.ITPrepareWarService;

/**
 * 备战打仗一本账Service业务层处理
 * 
 * @author ruoyi
 * @date 2023-12-09
 */
@Service
public class TPrepareWarServiceImpl implements ITPrepareWarService 
{
    @Autowired
    private TPrepareWarMapper tPrepareWarMapper;

    /**
     * 查询备战打仗一本账
     * 
     * @param id 备战打仗一本账主键
     * @return 备战打仗一本账
     */
    @Override
    public TPrepareWar selectTPrepareWarById(Long id)
    {
        return tPrepareWarMapper.selectTPrepareWarById(id);
    }

    /**
     * 查询备战打仗一本账列表
     * 
     * @param tPrepareWar 备战打仗一本账
     * @return 备战打仗一本账
     */
    @Override
    public List<TPrepareWar> selectTPrepareWarList(TPrepareWar tPrepareWar)
    {
        return tPrepareWarMapper.selectTPrepareWarList(tPrepareWar);
    }

    /**
     * 新增备战打仗一本账
     * 
     * @param tPrepareWar 备战打仗一本账
     * @return 结果
     */
    @Override
    public int insertTPrepareWar(TPrepareWar tPrepareWar)
    {
        tPrepareWar.setCreateTime(DateUtils.getNowDate());
        return tPrepareWarMapper.insertTPrepareWar(tPrepareWar);
    }

    /**
     * 修改备战打仗一本账
     * 
     * @param tPrepareWar 备战打仗一本账
     * @return 结果
     */
    @Override
    public int updateTPrepareWar(TPrepareWar tPrepareWar)
    {
        tPrepareWar.setUpdateTime(DateUtils.getNowDate());
        return tPrepareWarMapper.updateTPrepareWar(tPrepareWar);
    }

    /**
     * 批量删除备战打仗一本账
     * 
     * @param ids 需要删除的备战打仗一本账主键
     * @return 结果
     */
    @Override
    public int deleteTPrepareWarByIds(Long[] ids)
    {
        return tPrepareWarMapper.deleteTPrepareWarByIds(ids);
    }

    /**
     * 删除备战打仗一本账信息
     * 
     * @param id 备战打仗一本账主键
     * @return 结果
     */
    @Override
    public int deleteTPrepareWarById(Long id)
    {
        return tPrepareWarMapper.deleteTPrepareWarById(id);
    }
}
