package com.amms.system.service.impl;

import java.util.List;
import com.amms.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.amms.system.mapper.TSoftwareVersionMapper;
import com.amms.system.domain.TSoftwareVersion;
import com.amms.system.service.ITSoftwareVersionService;

/**
 * 软件版本管理模块Service业务层处理
 * 
 * @author ruoyi
 * @date 2023-12-12
 */
@Service
public class TSoftwareVersionServiceImpl implements ITSoftwareVersionService 
{
    @Autowired
    private TSoftwareVersionMapper tSoftwareVersionMapper;

    /**
     * 查询软件版本管理模块
     * 
     * @param id 软件版本管理模块主键
     * @return 软件版本管理模块
     */
    @Override
    public TSoftwareVersion selectTSoftwareVersionById(Long id)
    {
        return tSoftwareVersionMapper.selectTSoftwareVersionById(id);
    }

    /**
     * 查询软件版本管理模块列表
     * 
     * @param tSoftwareVersion 软件版本管理模块
     * @return 软件版本管理模块
     */
    @Override
    public List<TSoftwareVersion> selectTSoftwareVersionList(TSoftwareVersion tSoftwareVersion)
    {
        return tSoftwareVersionMapper.selectTSoftwareVersionList(tSoftwareVersion);
    }

    /**
     * 新增软件版本管理模块
     * 
     * @param tSoftwareVersion 软件版本管理模块
     * @return 结果
     */
    @Override
    public int insertTSoftwareVersion(TSoftwareVersion tSoftwareVersion)
    {
        tSoftwareVersion.setCreateTime(DateUtils.getNowDate());
        return tSoftwareVersionMapper.insertTSoftwareVersion(tSoftwareVersion);
    }

    /**
     * 修改软件版本管理模块
     * 
     * @param tSoftwareVersion 软件版本管理模块
     * @return 结果
     */
    @Override
    public int updateTSoftwareVersion(TSoftwareVersion tSoftwareVersion)
    {
        tSoftwareVersion.setUpdateTime(DateUtils.getNowDate());
        return tSoftwareVersionMapper.updateTSoftwareVersion(tSoftwareVersion);
    }

    /**
     * 批量删除软件版本管理模块
     * 
     * @param ids 需要删除的软件版本管理模块主键
     * @return 结果
     */
    @Override
    public int deleteTSoftwareVersionByIds(Long[] ids)
    {
        return tSoftwareVersionMapper.deleteTSoftwareVersionByIds(ids);
    }

    /**
     * 删除软件版本管理模块信息
     * 
     * @param id 软件版本管理模块主键
     * @return 结果
     */
    @Override
    public int deleteTSoftwareVersionById(Long id)
    {
        return tSoftwareVersionMapper.deleteTSoftwareVersionById(id);
    }
}
