package com.amms.system.service.impl;

import java.util.List;
import com.amms.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.amms.system.mapper.TTechnicalBulletinMapper;
import com.amms.system.domain.TTechnicalBulletin;
import com.amms.system.service.ITTechnicalBulletinService;

/**
 * 技术通报管理模块Service业务层处理
 * 
 * @author ruoyi
 * @date 2023-12-12
 */
@Service
public class TTechnicalBulletinServiceImpl implements ITTechnicalBulletinService 
{
    @Autowired
    private TTechnicalBulletinMapper tTechnicalBulletinMapper;

    /**
     * 查询技术通报管理模块
     * 
     * @param id 技术通报管理模块主键
     * @return 技术通报管理模块
     */
    @Override
    public TTechnicalBulletin selectTTechnicalBulletinById(Long id)
    {
        return tTechnicalBulletinMapper.selectTTechnicalBulletinById(id);
    }

    /**
     * 查询技术通报管理模块列表
     * 
     * @param tTechnicalBulletin 技术通报管理模块
     * @return 技术通报管理模块
     */
    @Override
    public List<TTechnicalBulletin> selectTTechnicalBulletinList(TTechnicalBulletin tTechnicalBulletin)
    {
        return tTechnicalBulletinMapper.selectTTechnicalBulletinList(tTechnicalBulletin);
    }

    /**
     * 新增技术通报管理模块
     * 
     * @param tTechnicalBulletin 技术通报管理模块
     * @return 结果
     */
    @Override
    public int insertTTechnicalBulletin(TTechnicalBulletin tTechnicalBulletin)
    {
        tTechnicalBulletin.setCreateTime(DateUtils.getNowDate());
        return tTechnicalBulletinMapper.insertTTechnicalBulletin(tTechnicalBulletin);
    }

    /**
     * 修改技术通报管理模块
     * 
     * @param tTechnicalBulletin 技术通报管理模块
     * @return 结果
     */
    @Override
    public int updateTTechnicalBulletin(TTechnicalBulletin tTechnicalBulletin)
    {
        tTechnicalBulletin.setUpdateTime(DateUtils.getNowDate());
        return tTechnicalBulletinMapper.updateTTechnicalBulletin(tTechnicalBulletin);
    }

    /**
     * 批量删除技术通报管理模块
     * 
     * @param ids 需要删除的技术通报管理模块主键
     * @return 结果
     */
    @Override
    public int deleteTTechnicalBulletinByIds(Long[] ids)
    {
        return tTechnicalBulletinMapper.deleteTTechnicalBulletinByIds(ids);
    }

    /**
     * 删除技术通报管理模块信息
     * 
     * @param id 技术通报管理模块主键
     * @return 结果
     */
    @Override
    public int deleteTTechnicalBulletinById(Long id)
    {
        return tTechnicalBulletinMapper.deleteTTechnicalBulletinById(id);
    }
}
