package com.amms.system.service.impl;

import java.util.List;
import com.amms.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.amms.system.mapper.TTechnicalChangesMapper;
import com.amms.system.domain.TTechnicalChanges;
import com.amms.system.service.ITTechnicalChangesService;

/**
 * 技术更改单管理模块Service业务层处理
 * 
 * @author ruoyi
 * @date 2023-12-12
 */
@Service
public class TTechnicalChangesServiceImpl implements ITTechnicalChangesService 
{
    @Autowired
    private TTechnicalChangesMapper tTechnicalChangesMapper;

    /**
     * 查询技术更改单管理模块
     * 
     * @param id 技术更改单管理模块主键
     * @return 技术更改单管理模块
     */
    @Override
    public TTechnicalChanges selectTTechnicalChangesById(Long id)
    {
        return tTechnicalChangesMapper.selectTTechnicalChangesById(id);
    }

    /**
     * 查询技术更改单管理模块列表
     * 
     * @param tTechnicalChanges 技术更改单管理模块
     * @return 技术更改单管理模块
     */
    @Override
    public List<TTechnicalChanges> selectTTechnicalChangesList(TTechnicalChanges tTechnicalChanges)
    {
        return tTechnicalChangesMapper.selectTTechnicalChangesList(tTechnicalChanges);
    }

    /**
     * 新增技术更改单管理模块
     * 
     * @param tTechnicalChanges 技术更改单管理模块
     * @return 结果
     */
    @Override
    public int insertTTechnicalChanges(TTechnicalChanges tTechnicalChanges)
    {
        tTechnicalChanges.setCreateTime(DateUtils.getNowDate());
        return tTechnicalChangesMapper.insertTTechnicalChanges(tTechnicalChanges);
    }

    /**
     * 修改技术更改单管理模块
     * 
     * @param tTechnicalChanges 技术更改单管理模块
     * @return 结果
     */
    @Override
    public int updateTTechnicalChanges(TTechnicalChanges tTechnicalChanges)
    {
        tTechnicalChanges.setUpdateTime(DateUtils.getNowDate());
        return tTechnicalChangesMapper.updateTTechnicalChanges(tTechnicalChanges);
    }

    /**
     * 批量删除技术更改单管理模块
     * 
     * @param ids 需要删除的技术更改单管理模块主键
     * @return 结果
     */
    @Override
    public int deleteTTechnicalChangesByIds(Long[] ids)
    {
        return tTechnicalChangesMapper.deleteTTechnicalChangesByIds(ids);
    }

    /**
     * 删除技术更改单管理模块信息
     * 
     * @param id 技术更改单管理模块主键
     * @return 结果
     */
    @Override
    public int deleteTTechnicalChangesById(Long id)
    {
        return tTechnicalChangesMapper.deleteTTechnicalChangesById(id);
    }
}
