package com.amms.system.service.impl;

import java.util.List;
import com.amms.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.amms.system.mapper.TTechnicalDataMapper;
import com.amms.system.domain.TTechnicalData;
import com.amms.system.service.ITTechnicalDataService;

/**
 * 技术资料管理Service业务层处理
 * 
 * @author ruoyi
 * @date 2023-12-12
 */
@Service
public class TTechnicalDataServiceImpl implements ITTechnicalDataService 
{
    @Autowired
    private TTechnicalDataMapper tTechnicalDataMapper;

    /**
     * 查询技术资料管理
     * 
     * @param id 技术资料管理主键
     * @return 技术资料管理
     */
    @Override
    public TTechnicalData selectTTechnicalDataById(Long id)
    {
        return tTechnicalDataMapper.selectTTechnicalDataById(id);
    }

    /**
     * 查询技术资料管理列表
     * 
     * @param tTechnicalData 技术资料管理
     * @return 技术资料管理
     */
    @Override
    public List<TTechnicalData> selectTTechnicalDataList(TTechnicalData tTechnicalData)
    {
        return tTechnicalDataMapper.selectTTechnicalDataList(tTechnicalData);
    }

    /**
     * 新增技术资料管理
     * 
     * @param tTechnicalData 技术资料管理
     * @return 结果
     */
    @Override
    public int insertTTechnicalData(TTechnicalData tTechnicalData)
    {
        tTechnicalData.setCreateTime(DateUtils.getNowDate());
        return tTechnicalDataMapper.insertTTechnicalData(tTechnicalData);
    }

    /**
     * 修改技术资料管理
     * 
     * @param tTechnicalData 技术资料管理
     * @return 结果
     */
    @Override
    public int updateTTechnicalData(TTechnicalData tTechnicalData)
    {
        tTechnicalData.setUpdateTime(DateUtils.getNowDate());
        return tTechnicalDataMapper.updateTTechnicalData(tTechnicalData);
    }

    /**
     * 批量删除技术资料管理
     * 
     * @param ids 需要删除的技术资料管理主键
     * @return 结果
     */
    @Override
    public int deleteTTechnicalDataByIds(Long[] ids)
    {
        return tTechnicalDataMapper.deleteTTechnicalDataByIds(ids);
    }

    /**
     * 删除技术资料管理信息
     * 
     * @param id 技术资料管理主键
     * @return 结果
     */
    @Override
    public int deleteTTechnicalDataById(Long id)
    {
        return tTechnicalDataMapper.deleteTTechnicalDataById(id);
    }
}
