package com.amms.system.service.impl;

import java.util.List;
import com.amms.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.amms.system.mapper.TTodayInHistoryMapper;
import com.amms.system.domain.TTodayInHistory;
import com.amms.system.service.ITTodayInHistoryService;

/**
 * 历史上的今天Service业务层处理
 * 
 * @author ruoyi
 * @date 2023-12-09
 */
@Service
public class TTodayInHistoryServiceImpl implements ITTodayInHistoryService 
{
    @Autowired
    private TTodayInHistoryMapper tTodayInHistoryMapper;

    /**
     * 查询历史上的今天
     * 
     * @param id 历史上的今天主键
     * @return 历史上的今天
     */
    @Override
    public TTodayInHistory selectTTodayInHistoryById(Long id)
    {
        return tTodayInHistoryMapper.selectTTodayInHistoryById(id);
    }

    /**
     * 查询历史上的今天列表
     * 
     * @param tTodayInHistory 历史上的今天
     * @return 历史上的今天
     */
    @Override
    public List<TTodayInHistory> selectTTodayInHistoryList(TTodayInHistory tTodayInHistory)
    {
        return tTodayInHistoryMapper.selectTTodayInHistoryList(tTodayInHistory);
    }

    /**
     * 新增历史上的今天
     * 
     * @param tTodayInHistory 历史上的今天
     * @return 结果
     */
    @Override
    public int insertTTodayInHistory(TTodayInHistory tTodayInHistory)
    {
        tTodayInHistory.setCreateTime(DateUtils.getNowDate());
        return tTodayInHistoryMapper.insertTTodayInHistory(tTodayInHistory);
    }

    /**
     * 修改历史上的今天
     * 
     * @param tTodayInHistory 历史上的今天
     * @return 结果
     */
    @Override
    public int updateTTodayInHistory(TTodayInHistory tTodayInHistory)
    {
        tTodayInHistory.setUpdateTime(DateUtils.getNowDate());
        return tTodayInHistoryMapper.updateTTodayInHistory(tTodayInHistory);
    }

    /**
     * 批量删除历史上的今天
     * 
     * @param ids 需要删除的历史上的今天主键
     * @return 结果
     */
    @Override
    public int deleteTTodayInHistoryByIds(Long[] ids)
    {
        return tTodayInHistoryMapper.deleteTTodayInHistoryByIds(ids);
    }

    /**
     * 删除历史上的今天信息
     * 
     * @param id 历史上的今天主键
     * @return 结果
     */
    @Override
    public int deleteTTodayInHistoryById(Long id)
    {
        return tTodayInHistoryMapper.deleteTTodayInHistoryById(id);
    }
}
