package com.amms.system.service.impl;

import java.util.List;
import com.amms.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.amms.system.mapper.TTrainingManagementMapper;
import com.amms.system.domain.TTrainingManagement;
import com.amms.system.service.ITTrainingManagementService;

/**
 * 人员训练技术档案管理Service业务层处理
 * 
 * @author ruoyi
 * @date 2023-12-09
 */
@Service
public class TTrainingManagementServiceImpl implements ITTrainingManagementService 
{
    @Autowired
    private TTrainingManagementMapper tTrainingManagementMapper;

    /**
     * 查询人员训练技术档案管理
     * 
     * @param id 人员训练技术档案管理主键
     * @return 人员训练技术档案管理
     */
    @Override
    public TTrainingManagement selectTTrainingManagementById(Long id)
    {
        return tTrainingManagementMapper.selectTTrainingManagementById(id);
    }

    /**
     * 查询人员训练技术档案管理列表
     * 
     * @param tTrainingManagement 人员训练技术档案管理
     * @return 人员训练技术档案管理
     */
    @Override
    public List<TTrainingManagement> selectTTrainingManagementList(TTrainingManagement tTrainingManagement)
    {
        return tTrainingManagementMapper.selectTTrainingManagementList(tTrainingManagement);
    }

    /**
     * 新增人员训练技术档案管理
     * 
     * @param tTrainingManagement 人员训练技术档案管理
     * @return 结果
     */
    @Override
    public int insertTTrainingManagement(TTrainingManagement tTrainingManagement)
    {
        tTrainingManagement.setCreateTime(DateUtils.getNowDate());
        return tTrainingManagementMapper.insertTTrainingManagement(tTrainingManagement);
    }

    /**
     * 修改人员训练技术档案管理
     * 
     * @param tTrainingManagement 人员训练技术档案管理
     * @return 结果
     */
    @Override
    public int updateTTrainingManagement(TTrainingManagement tTrainingManagement)
    {
        tTrainingManagement.setUpdateTime(DateUtils.getNowDate());
        return tTrainingManagementMapper.updateTTrainingManagement(tTrainingManagement);
    }

    /**
     * 批量删除人员训练技术档案管理
     * 
     * @param ids 需要删除的人员训练技术档案管理主键
     * @return 结果
     */
    @Override
    public int deleteTTrainingManagementByIds(Long[] ids)
    {
        return tTrainingManagementMapper.deleteTTrainingManagementByIds(ids);
    }

    /**
     * 删除人员训练技术档案管理信息
     * 
     * @param id 人员训练技术档案管理主键
     * @return 结果
     */
    @Override
    public int deleteTTrainingManagementById(Long id)
    {
        return tTrainingManagementMapper.deleteTTrainingManagementById(id);
    }
}
