package com.amms.system.service.impl;

import java.util.List;
import com.amms.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.amms.system.mapper.TTroopProblemMapper;
import com.amms.system.domain.TTroopProblem;
import com.amms.system.service.ITTroopProblemService;

/**
 * 部队问题一本账Service业务层处理
 * 
 * @author ruoyi
 * @date 2023-12-09
 */
@Service
public class TTroopProblemServiceImpl implements ITTroopProblemService 
{
    @Autowired
    private TTroopProblemMapper tTroopProblemMapper;

    /**
     * 查询部队问题一本账
     * 
     * @param id 部队问题一本账主键
     * @return 部队问题一本账
     */
    @Override
    public TTroopProblem selectTTroopProblemById(Long id)
    {
        return tTroopProblemMapper.selectTTroopProblemById(id);
    }

    /**
     * 查询部队问题一本账列表
     * 
     * @param tTroopProblem 部队问题一本账
     * @return 部队问题一本账
     */
    @Override
    public List<TTroopProblem> selectTTroopProblemList(TTroopProblem tTroopProblem)
    {
        return tTroopProblemMapper.selectTTroopProblemList(tTroopProblem);
    }

    /**
     * 新增部队问题一本账
     * 
     * @param tTroopProblem 部队问题一本账
     * @return 结果
     */
    @Override
    public int insertTTroopProblem(TTroopProblem tTroopProblem)
    {
        tTroopProblem.setCreateTime(DateUtils.getNowDate());
        return tTroopProblemMapper.insertTTroopProblem(tTroopProblem);
    }

    /**
     * 修改部队问题一本账
     * 
     * @param tTroopProblem 部队问题一本账
     * @return 结果
     */
    @Override
    public int updateTTroopProblem(TTroopProblem tTroopProblem)
    {
        tTroopProblem.setUpdateTime(DateUtils.getNowDate());
        return tTroopProblemMapper.updateTTroopProblem(tTroopProblem);
    }

    /**
     * 批量删除部队问题一本账
     * 
     * @param ids 需要删除的部队问题一本账主键
     * @return 结果
     */
    @Override
    public int deleteTTroopProblemByIds(Long[] ids)
    {
        return tTroopProblemMapper.deleteTTroopProblemByIds(ids);
    }

    /**
     * 删除部队问题一本账信息
     * 
     * @param id 部队问题一本账主键
     * @return 结果
     */
    @Override
    public int deleteTTroopProblemById(Long id)
    {
        return tTroopProblemMapper.deleteTTroopProblemById(id);
    }
}
