package com.amms.system.service.impl;

import java.util.List;
import com.amms.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.amms.system.mapper.TWorkPlanMapper;
import com.amms.system.domain.TWorkPlan;
import com.amms.system.service.ITWorkPlanService;

/**
 * 工作计划一本账Service业务层处理
 * 
 * @author ruoyi
 * @date 2023-12-09
 */
@Service
public class TWorkPlanServiceImpl implements ITWorkPlanService 
{
    @Autowired
    private TWorkPlanMapper tWorkPlanMapper;

    /**
     * 查询工作计划一本账
     * 
     * @param id 工作计划一本账主键
     * @return 工作计划一本账
     */
    @Override
    public TWorkPlan selectTWorkPlanById(Long id)
    {
        return tWorkPlanMapper.selectTWorkPlanById(id);
    }

    /**
     * 查询工作计划一本账列表
     * 
     * @param tWorkPlan 工作计划一本账
     * @return 工作计划一本账
     */
    @Override
    public List<TWorkPlan> selectTWorkPlanList(TWorkPlan tWorkPlan)
    {
        return tWorkPlanMapper.selectTWorkPlanList(tWorkPlan);
    }

    /**
     * 新增工作计划一本账
     * 
     * @param tWorkPlan 工作计划一本账
     * @return 结果
     */
    @Override
    public int insertTWorkPlan(TWorkPlan tWorkPlan)
    {
        tWorkPlan.setCreateTime(DateUtils.getNowDate());
        return tWorkPlanMapper.insertTWorkPlan(tWorkPlan);
    }

    /**
     * 修改工作计划一本账
     * 
     * @param tWorkPlan 工作计划一本账
     * @return 结果
     */
    @Override
    public int updateTWorkPlan(TWorkPlan tWorkPlan)
    {
        tWorkPlan.setUpdateTime(DateUtils.getNowDate());
        return tWorkPlanMapper.updateTWorkPlan(tWorkPlan);
    }

    /**
     * 批量删除工作计划一本账
     * 
     * @param ids 需要删除的工作计划一本账主键
     * @return 结果
     */
    @Override
    public int deleteTWorkPlanByIds(Long[] ids)
    {
        return tWorkPlanMapper.deleteTWorkPlanByIds(ids);
    }

    /**
     * 删除工作计划一本账信息
     * 
     * @param id 工作计划一本账主键
     * @return 结果
     */
    @Override
    public int deleteTWorkPlanById(Long id)
    {
        return tWorkPlanMapper.deleteTWorkPlanById(id);
    }
}
