import request from '@/utils/request'

// 查询安全检查信息列表
export function listTSafetyInspection(query) {
  return request({
    url: '/Security/TSafetyInspection/list',
    method: 'get',
    params: query
  })
}

// 查询安全检查信息详细
export function getTSafetyInspection(id) {
  return request({
    url: '/Security/TSafetyInspection/' + id,
    method: 'get'
  })
}

// 新增安全检查信息
export function addTSafetyInspection(data) {
  return request({
    url: '/Security/TSafetyInspection',
    method: 'post',
    data: data
  })
}

// 修改安全检查信息
export function updateTSafetyInspection(data) {
  return request({
    url: '/Security/TSafetyInspection',
    method: 'put',
    data: data
  })
}

// 删除安全检查信息
export function delTSafetyInspection(id) {
  return request({
    url: '/Security/TSafetyInspection/' + id,
    method: 'delete'
  })
}
