import request from '@/utils/request'

// 查询安全奖惩信息列表
export function listTSafetyReward(query) {
  return request({
    url: '/Security/TSafetyReward/list',
    method: 'get',
    params: query
  })
}

// 查询安全奖惩信息详细
export function getTSafetyReward(id) {
  return request({
    url: '/Security/TSafetyReward/' + id,
    method: 'get'
  })
}

// 新增安全奖惩信息
export function addTSafetyReward(data) {
  return request({
    url: '/Security/TSafetyReward',
    method: 'post',
    data: data
  })
}

// 修改安全奖惩信息
export function updateTSafetyReward(data) {
  return request({
    url: '/Security/TSafetyReward',
    method: 'put',
    data: data
  })
}

// 删除安全奖惩信息
export function delTSafetyReward(id) {
  return request({
    url: '/Security/TSafetyReward/' + id,
    method: 'delete'
  })
}
