import request from '@/utils/request'

// 查询软件版本管理模块列表
export function listTSoftwareVersion(query) {
  return request({
    url: '/Technology/TSoftwareVersion/list',
    method: 'get',
    params: query
  })
}

// 查询软件版本管理模块详细
export function getTSoftwareVersion(id) {
  return request({
    url: '/Technology/TSoftwareVersion/' + id,
    method: 'get'
  })
}

// 新增软件版本管理模块
export function addTSoftwareVersion(data) {
  return request({
    url: '/Technology/TSoftwareVersion',
    method: 'post',
    data: data
  })
}

// 修改软件版本管理模块
export function updateTSoftwareVersion(data) {
  return request({
    url: '/Technology/TSoftwareVersion',
    method: 'put',
    data: data
  })
}

// 删除软件版本管理模块
export function delTSoftwareVersion(id) {
  return request({
    url: '/Technology/TSoftwareVersion/' + id,
    method: 'delete'
  })
}
